package com.zanxiang.game.back.base.oceanengine.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OrderReportRpcDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 游戏 id
     */
    private Long gameId;
    /**
     * 微信小游戏上报组件
     */
    private AccountReportRpcDTO accountReport;
    /**
     * 小游戏 appId
     */
    private String wechatAppId;
    /**
     * 小游戏 openId
     */
    private String wechatOpenId;
    /**
     * 小游戏 unionId
     */
    private String wechatUnionId;
    /**
     * 订单编号
     */
    private String orderId;
    /**
     * 渠道标识
     */
    private String agentKey;
    /**
     * 回传策略 id
     */
    private Long backPolicyId;
    /**
     * 订单金额（分）
     */
    private Long rechargeMoney;
    /**
     * 支付状态，0 : 预下单, 1 : 待支付，2 : 支付成功，-1 : 已取消
     */
    private Integer orderStatus;
    /**
     * 下单时间
     */
    private LocalDateTime createTime;
    /**
     * 支付时间
     */
    private LocalDateTime payTime;
}
