package com.zanxiang.game.back.base.oceanengine.rpc;

import com.zanxiang.game.back.base.oceanengine.pojo.dto.OrderReportRpcDTO;
import com.zanxiang.game.back.base.oceanengine.pojo.dto.UserActiveReportRpcDTO;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * 微信小游戏头条上报
 * 参考文档：https://bytedance.feishu.cn/docx/doxcnsCqXkvxoAg36GDzkRRRuAq
 */
public interface IWechatMiniGameDataReportRpc {

    /**
     * 用户激活、注册等上报
     */
    ResultVO<Boolean> userActiveReport(UserActiveReportRpcDTO dto);

    /**
     * 用户下单、支付上报
     */
    ResultVO<Boolean> orderReport(OrderReportRpcDTO dto);
}
