package com.zanxiang.game.back.serve.pojo.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 游戏回传策略表
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameBackPolicyDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("回传策略名")
    private String backPolicyName;

    /**
     * 首充金额（小于等于指定金额）
     */
    @ApiModelProperty("首充金额（小于等于指定金额）")
    private Long firstRechargeMoney;

    /**
     * 首充回传比例（例如：50%-->0.5)
     */
    @ApiModelProperty("首充回传比例（例如：50%,传参0.5)")
    private BigDecimal firstRechargeBackPercentage;

    /**
     * 大单金额（大于等于指定金额）
     */
    @ApiModelProperty("大单金额（大于等于指定金额）")
    private Long bigRechargeMoney;

    /**
     * 大单回传比例（例如：50%-->0.5)
     */
    @ApiModelProperty("大单回传比例（例如：50%传参0.5)")
    private BigDecimal bigRechargeBackPercentage;

    /**
     * 其他回传比例（例如：50%-->0.5)
     */
    @ApiModelProperty("其他回传比例（例如：50%传参0.5)")
    private BigDecimal otherRechargeBackPercentage;

    /**
     * 降档级别
     */
    @ApiModelProperty("降档级别（降1档传参：1，降二档传参2）")
    private Integer levelDown;


}
