package com.zanxiang.game.back.serve.pojo.dto;

import com.zanxiang.game.back.serve.pojo.entity.GameBackPolicy;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineOrderLog;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameOceanengineOrderLogDTO extends BaseListDTO<GameOceanengineOrderLog> {
    @ApiModelProperty("小游戏ID")
    private String appId;

    @ApiModelProperty("用户OpenID")
    private String openId;

    @ApiModelProperty("游戏ID")
    private Long gameId;

    @ApiModelProperty("广告账号ID")
    private Long accountId;

    @ApiModelProperty("渠道标识")
    private String agentKey;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("支付状态，0:预下单，1:待支付，2:支付成功，-1:已取消")
    private Integer orderStatus;

    @ApiModelProperty("回传状态")
    private Integer backStatus;
}
