package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 游戏回传策略表
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_back_policy")
public class GameBackPolicy implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String backPolicyName;

    /**
     * 首充金额（小于等于指定金额）
     */
    private Long firstRechargeMoney;

    /**
     * 首充回传比例（例如：50%-->0.5)
     */
    private BigDecimal firstRechargeBackPercentage;

    /**
     * 大单金额（大于等于指定金额）
     */
    private Long bigRechargeMoney;

    /**
     * 大单回传比例（例如：50%-->0.5)
     */
    private BigDecimal bigRechargeBackPercentage;

    /**
     * 其他回传比例（例如：50%-->0.5)
     */
    private BigDecimal otherRechargeBackPercentage;

    /**
     * 降档级别
     */
    private Integer levelDown;

    private LocalDateTime createTime;

    private Long createBy;

    private LocalDateTime updateTime;

    private Long updateBy;


}
