package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 游戏腾讯用户表
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_tencent_user")
public class GameTencentUser implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 回传策略ID
     */
    private Long backPolicyId;

    /**
     * 渠道号
     */
    private String channel;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 广告账号ID
     */
    private Long adAccountId;

    /**
     * 注册时间
     */
    private LocalDateTime registerTime;

    /**
     * 关注时间
     */
    private LocalDateTime subscribeTime;

    /**
     * openid
     */
    private String wechatOpenid;

    /**
     * appid
     */
    private String wechatAppId;

    /**
     * 0：未回传；1：回传
     */
    private Integer isBack;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Long updateBy;

    /**
     * 回传日志
     */
    private String backLog;
}
