package com.zanxiang.game.back.serve.rpc.impl;


import com.zanxiang.game.back.base.tencent.pojo.dto.TencentOrderDTO;
import com.zanxiang.game.back.base.tencent.pojo.dto.TencentUserDTO;
import com.zanxiang.game.back.base.tencent.rpc.IGameBackTencentRpc;
import com.zanxiang.game.back.serve.service.IGameBackPolicyService;
import com.zanxiang.module.util.pojo.ResultVO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

@Slf4j
@DubboService
public class IGameBackTencentRpcImpl implements IGameBackTencentRpc {
    @Autowired
    private IGameBackPolicyService gameBackPolicyService;
    @Override
    public ResultVO<Boolean> backOrder(TencentOrderDTO dto) {
        return ResultVO.ok(gameBackPolicyService.tencentOrderBack(dto));
    }

    @Override
    public ResultVO<Boolean> backUser(TencentUserDTO dto) {
        return ResultVO.ok(gameBackPolicyService.tencentUserBack(dto));
    }
}
