package com.zanxiang.game.data.serve.controller;

import com.zanxiang.game.data.serve.pojo.vo.GameConditionVO;
import com.zanxiang.game.data.serve.service.*;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "筛选条件")
@RestController
@RequestMapping("/game/condition")
public class GameConditionController {
    @Autowired
    private IAdAccountService adAccountService;
    @Autowired
    private ICompanyService companyService;
    @Autowired
    private ICpService cpService;
    @Autowired
    private IGameService gameService;
    @Autowired
    private IGamePlayerService gamePlayerService;
    @Autowired
    private IGamePlayerRoleService gamePlayerRoleService;
    @Autowired
    private IGameServerService gameServerService;
    @Autowired
    private IGameUserService gameUserService;
    @Autowired
    private IPromoteAgentService agentService;
    @Autowired
    private ISysUserService sysUserService;
    
    @ApiOperation(value = "游戏列表")
    @GetMapping("/game")
    public ResultVO<List<GameConditionVO>> game() {
        return ResultVO.ok(gameService.getList());
    }

    @ApiOperation(value = "cp列表")
    @GetMapping("/cp")
    public ResultVO<List<GameConditionVO>> cp() {
        return ResultVO.ok(cpService.getList());
    }

    @ApiOperation(value = "推广账号列表")
    @GetMapping("/adAccount")
    public ResultVO<List<GameConditionVO>> adAccount() {
        return ResultVO.ok(adAccountService.getList());
    }

    @ApiOperation(value = "公司列表")
    @GetMapping("/company")
    public ResultVO<List<GameConditionVO>> company() {
        return ResultVO.ok(companyService.getList());
    }

    @ApiOperation(value = "游戏玩家列表")
    @GetMapping("/gamePlayer")
    public ResultVO<List<GameConditionVO>> gamePlayer() {
        return ResultVO.ok(gamePlayerService.getList());
    }

    @ApiOperation(value = "游戏玩家角色列表")
    @GetMapping("/gamePlayerRole")
    public ResultVO<List<GameConditionVO>> gamePlayerRole() {
        return ResultVO.ok(gamePlayerRoleService.getList());
    }

    @ApiOperation(value = "游戏区服列表")
    @GetMapping("/gameServer")
    public ResultVO<List<GameConditionVO>> gameServer() {
        return ResultVO.ok(gameServerService.getList());
    }

    @ApiOperation(value = "游戏用户列表")
    @GetMapping("/gameUser")
    public ResultVO<List<GameConditionVO>> gameUser() {
        return ResultVO.ok(gameUserService.getList());
    }

    @ApiOperation(value = "渠道列表")
    @GetMapping("/promoteAgent")
    public ResultVO<List<GameConditionVO>> promoteAgent() {
        return ResultVO.ok(agentService.getList());
    }

    @ApiOperation(value = "投手列表")
    @GetMapping("/sysUser")
    public ResultVO<List<GameConditionVO>> sysUser() {
        return ResultVO.ok(sysUserService.getList());
    }
}
