package com.zanxiang.game.data.serve.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.data.serve.pojo.dto.GameRankingDTO;
import com.zanxiang.game.data.serve.pojo.vo.GameRankingRechargeGameVO;
import com.zanxiang.game.data.serve.pojo.vo.GameRankingRechargeUserVO;
import com.zanxiang.game.data.serve.service.IGameService;
import com.zanxiang.game.data.serve.service.IGameUserService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "排行榜")
@RestController
@RequestMapping("/game/ranking")
public class GameRankingController {
    @Autowired
    private IGameService gameService;
    @Autowired
    private IGameUserService gameUserService;

    @ApiOperation(value = "游戏充值排行榜")
    @PutMapping("/recharge/game")
    public ResultVO<IPage<GameRankingRechargeGameVO>> game(@RequestBody GameRankingDTO dto) {
        return ResultVO.ok(gameService.getGameRechargeRank(dto));
    }

    @ApiOperation(value = "用户充值排行榜")
    @PutMapping("/recharge/user")
    public ResultVO<IPage<GameRankingRechargeUserVO>> user(@RequestBody GameRankingDTO dto) {
        return ResultVO.ok(gameUserService.getUserRechargeRank(dto));
    }

    @PutMapping("/recharge/promote/agent")
    public ResultVO<Boolean> promoteAgent(@RequestBody GameRankingDTO dto) {
        System.out.println("访问成功");
        return ResultVO.ok();
    }

    @PutMapping("/recharge/account/cost")
    public ResultVO<Boolean> accountConsumption(@RequestBody GameRankingDTO dto) {
        System.out.println("访问成功");
        return ResultVO.ok();
    }
}