package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import com.zanxiang.game.data.serve.pojo.entity.GameOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameOrderDetailDTO extends BasePage<GameOrder> implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(notes = "商户订单ID")
    private String orderId;

    @ApiModelProperty(notes = "CP方订单ID")
    private String cpOrderId;

    @ApiModelProperty(notes = "用户id")
    private Long userId;
    @ApiModelProperty(notes = "用户名")
    private Long userName;

    @ApiModelProperty(notes = "游戏角色名id")
    private Long gameRoleId;
    @ApiModelProperty(notes = "游戏角色名：订单号")
    private String gameRoleName;

    @ApiModelProperty(notes = "cpId")
    private Long cpId;
    @ApiModelProperty(notes = "cp名")
    private String cpName;

    @ApiModelProperty(notes = "注册游戏id")
    private Long regGameId;
    @ApiModelProperty(notes = "注册游戏名")
    private String regGameName;
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;
    @ApiModelProperty(notes = "游戏名")
    private String rechargeGameName;

    @ApiModelProperty(notes = "注册渠道id")
    private Long regAgentId;
    @ApiModelProperty(notes = "注册渠道名")
    private String regAgent;

    @ApiModelProperty(notes = "广告账号id")
    private String accountId;
    @ApiModelProperty(notes = "广告账号")
    private String account;

    @ApiModelProperty(notes = "投手名")
    private String sysUserName;

    @ApiModelProperty(notes = "操作设备")
    private String device;
    @ApiModelProperty(notes = "是否切量  0 否 1 是")
    private Integer isSwitch;
    @ApiModelProperty(notes = "产品名称")
    private String productName;
    @ApiModelProperty(notes = "支付方式")
    private String payWay;
    @ApiModelProperty(notes = "收款商户号")
    private String merchantNo;
    @ApiModelProperty(notes = "支付状态，1为待处理，2为成功，3为失败")
    private Integer payStatus;
    @ApiModelProperty(notes = "CP通知状态，1为待处理，2为成功，3为失败")
    private Integer cpStatus;
    @ApiModelProperty(notes = "是否首充 0 否 1 是")
    private Integer isFirstRecharge;

    @ApiModelProperty(notes = "用户注册开始日期")
    private LocalDate regStartDay;
    @ApiModelProperty(notes = "用户注册结石日期")
    private LocalDate regEndDay;

    @ApiModelProperty(notes = "订单创建开始日期")
    private LocalDate createStartDay;
    @ApiModelProperty(notes = "订单创建结束日期")
    private LocalDate createEndDay;
}
