package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import com.zanxiang.game.data.serve.pojo.entity.PromoteAgentStatDay;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GamePromoteDTO extends BasePage<PromoteAgentStatDay> implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(notes = "推广账号名称")
    private String accountName;
    @ApiModelProperty(notes = "推广账号ID")
    private String accountId;

    @ApiModelProperty(notes = "投放渠道")
    private String putAgent;
    @ApiModelProperty(notes = "推广状态")
    private String promoteStatus;

    @ApiModelProperty(notes = "投手名")
    private String sysUserName;

    @ApiModelProperty(notes = "cpId")
    private Long cpId;
    @ApiModelProperty(notes = "cp名")
    private String cpName;

    @ApiModelProperty(notes = "游戏id")
    private Long gameId;
    @ApiModelProperty(notes = "游戏名")
    private String gameName;
    @ApiModelProperty(notes = "游戏应用类型")
    private String gameType;

    @ApiModelProperty(notes = "消耗开始日期")
    private LocalDate beginDay;
    @ApiModelProperty(notes = "消耗结束日期")
    private LocalDate endDay;
}
