package com.zanxiang.game.data.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * t_ad_data
 * </p>
 *
 * @author auto
 * @since 2022-12-29
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_ad_data")
public class AdData implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 广告小时数据id
     */
    private Long id;

    /**
     * 投手id
     */
    private Long sysUserId;

    /**
     * 广告账号
     */
    private String accountId;

    /**
     * 广告 id
     */
    private Long adId;

    private LocalDateTime createTime;

    /**
     * 日期
     */
    private LocalDateTime statDay;

    /**
     * 小时
     */
    private Integer hour;

    /**
     * 消耗（总）
     */
    private BigDecimal cost;

    /**
     * 消耗（今日）
     */
    private BigDecimal costToday;

    /**
     * 消耗（昨日）
     */
    private BigDecimal costYesterday;

    /**
     * 赔付金（总）
     */
    private BigDecimal costBack;

    /**
     * 赔付金（今日）
     */
    private BigDecimal costBackToday;

    /**
     * 赔付金（昨日）
     */
    private BigDecimal costBackYesterday;

    /**
     * 实际消耗（总）
     */
    private BigDecimal costReal;

    /**
     * 实际消耗（今日）
     */
    private BigDecimal costRealToday;

    /**
     * 实际消耗（昨日）
     */
    private BigDecimal costRealYesterday;

    /**
     * 曝光数（总）
     */
    private Long viewCount;

    /**
     * 曝光数（今日）
     */
    private Long viewCountToday;

    /**
     * 曝光数（昨日）
     */
    private Long viewCountYesterday;

    /**
     * 点击数（总）
     */
    private Long clickCount;

    /**
     * 点击数量（今日）
     */
    private Long clickCountToday;

    /**
     * 点击数量（昨日）
     */
    private Long clickCountYesterday;

    /**
     * 注册人数（总）
     */
    private Long regUserCount;

    /**
     * 注册人数（今日）
     */
    private Long regUserCountToday;

    /**
     * 注册人数（昨日）
     */
    private Long regUserCountYesterday;

    /**
     * 注册人数（总）（自然量）
     */
    private Long regUserCountNatural;

    /**
     * 注册人数（今日）（自然量）
     */
    private Long regUserCountNaturalToday;

    /**
     * 注册人数（昨日）（自然量）
     */
    private Long regUserCountNaturalYesterday;

    /**
     * 首日创角人数（总）
     */
    private Long userCountOfFirstCreateRole;

    /**
     * 首日创角人数（今日）
     */
    private Long userCountOfFirstCreateRoleToday;

    /**
     * 首日创角人数（昨日）
     */
    private Long userCountOfFirstCreateRoleYesterday;

    /**
     * 创角人数（总）
     */
    private Long userCountOfCreateRole;

    /**
     * 创角人数（今日）
     */
    private Long userCountOfCreateRoleToday;

    /**
     * 创角人数（昨日）
     */
    private Long userCountOfCreateRoleYesterday;

    /**
     * 创角数（总）
     */
    private Long createRoleCount;

    /**
     * 创角数（今日）
     */
    private Long createRoleCountToday;

    /**
     * 创角数（昨日）
     */
    private Long createRoleCountYesterday;

    /**
     * 首日创角数（总）
     */
    private Long firstCreateRoleCount;

    /**
     * 首日创角数（今日）
     */
    private Long firstCreateRoleCountToday;

    /**
     * 首日创角数（昨日）
     */
    private Long firstCreateRoleCountYesterday;

    /**
     * 活跃人数（总）
     */
    private Long activeUserCount;

    /**
     * 活跃人数（今日）
     */
    private Long activeUserCountToday;

    /**
     * 活跃人数（昨日）
     */
    private Long activeUserCountYesterday;

    /**
     * 首日充值人数（总）
     */
    private Long firstRechargeUser;

    /**
     * 首日充值人数（今日）
     */
    private Long firstRechargeUserToday;

    /**
     * 首日充值人数（昨日）
     */
    private Long firstRechargeUserYesterday;

    /**
     * 首日充值次数（总）
     */
    private Long firstRechargeCount;

    /**
     * 首日充值次数（今日）
     */
    private Long firstRechargeCountToday;

    /**
     * 首日充值次数（昨日）
     */
    private Long firstRechargeCountYesterday;

    /**
     * 首日充值金额（总）
     */
    private BigDecimal firstRechargeMoney;

    /**
     * 首日充值金额（今日）
     */
    private BigDecimal firstRechargeMoneyToday;

    /**
     * 首日充值金额（昨日）
     */
    private BigDecimal firstRechargeMoneyYesterday;

    /**
     * 充值金额（总）
     */
    private BigDecimal rechargeMoney;

    /**
     * 充值金额（今日）
     */
    private BigDecimal rechargeMoneyToday;

    /**
     * 充值金额（昨日）
     */
    private BigDecimal rechargeMoneyYesterday;

    /**
     * 充值金额（总）（自然量）
     */
    private BigDecimal rechargeMoneyNatural;

    /**
     * 充值金额（今日）（自然量）
     */
    private BigDecimal rechargeMoneyNaturalToday;

    /**
     * 充值金额（昨日）（自然量）
     */
    private BigDecimal rechargeMoneyNaturalYesterday;

    /**
     * 首日充值金额（总）（自然量）
     */
    private BigDecimal firstRechargeMoneyNatural;

    /**
     * 首日充值金额（今日）（自然量）
     */
    private BigDecimal firstRechargeMoneyNaturalToday;

    /**
     * 首日充值金额（昨日）（自然量）
     */
    private BigDecimal firstRechargeMoneyNaturalYesterday;

    /**
     * 账面充值金额（总）
     */
    private BigDecimal showRechargeMoney;

    /**
     * 账面充值金额（今日）
     */
    private BigDecimal showRechargeMoneyToday;

    /**
     * 账面充值金额（昨日）
     */
    private BigDecimal showRechargeMoneyYesterday;

    /**
     * 充值人数（总）
     */
    private Long rechargeUser;

    /**
     * 充值人数（今日）
     */
    private Long rechargeUserToday;

    /**
     * 充值人数（昨日）
     */
    private Long rechargeUserYesterday;

    /**
     * 充值人数（总）（自然量）
     */
    private Long rechargeUserNatural;

    /**
     * 充值人数（今日）（自然量）
     */
    private Long rechargeUserNaturalToday;

    /**
     * 充值人数（昨日）（自然量）
     */
    private Long rechargeUserNaturalYesterday;

    /**
     * 充值次数（总）
     */
    private Long rechargeCount;

    /**
     * 充值次数（今日）
     */
    private Long rechargeCountToday;

    /**
     * 充值次数（昨日）
     */
    private Long rechargeCountYesterday;

    /**
     * 转化量（总）
     */
    private Long convertCount;

    /**
     * 转化量（今日）
     */
    private Long convertCountToday;

    /**
     * 转化量（昨日）
     */
    private Long convertCountYesterday;

    /**
     * 深度转化（总）
     */
    private Long deepConvertCount;

    /**
     * 深度转化（今日）
     */
    private Long deepConvertCountToday;

    /**
     * 深度转化（昨日）
     */
    private Long deepConvertCountYesterday;

    /**
     * 应用下载量（总）
     */
    private Long appDownloadCount;

    /**
     * 应用下载量（今日）
     */
    private Long appDownloadCountToday;

    /**
     * 应用下载量（昨日）
     */
    private Long appDownloadCountYesterday;

    /**
     * 应用安装量（总）
     */
    private Long appInstallCount;

    /**
     * 应用下载量（今日）
     */
    private Long appInstallCountToday;

    /**
     * 应用下载量（昨日）
     */
    private Long appInstallCountYesterday;

    /**
     * 应用激活数（总）
     */
    private Long appActiveCount;

    /**
     * 应用激活数（今日）
     */
    private Long appActiveCountToday;

    /**
     * 应用激活数（昨日）
     */
    private Long appActiveCountYesterday;


}
