package com.zanxiang.game.data.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 公司维度统计数据（按天）
 * </p>
 *
 * @author auto
 * @since 2023-01-07
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_company_stat_day")
public class CompanyStatDay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 公司id
     */
    private Long id;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 日期
     */
    private LocalDate statDay;

    /**
     * 广告账号数量
     */
    private Long adAccountCount;

    /**
     * 广告数量
     */
    private Long adCount;

    /**
     * 总消耗
     */
    private BigDecimal cost;

    /**
     * 游戏数量
     */
    private Long gameCount;

    /**
     * 用户数
     */
    private Long gameUserCount;

    /**
     * 新用户数
     */
    private Long gameUserCountNew;

    /**
     * 用户数（自然量）
     */
    private Long gameUserCountNatural;

    /**
     * 下单用户数
     */
    private Long gameOrderUserCount;

    /**
     * 玩家角色数
     */
    private Long gameRoleCount;

    /**
     * 玩家角色数（自然量）
     */
    private Long gameRoleCountNatural;

    /**
     * 充值次数
     */
    private Long rechargeCount;

    /**
     * 充值次数（自然量）
     */
    private Long rechargeCountNatural;

    /**
     * 充值金额
     */
    private BigDecimal rechargeMoney;

    /**
     * 充值金额（自然量）
     */
    private BigDecimal rechargeMoneyNatural;

    /**
     * 当日新用户充值次数
     */
    private Long rechargeCountNew;

    /**
     * 当日新用户充值金额
     */
    private BigDecimal rechargeMoneyNew;

    /**
     * 总充值次数（包含充值失败）
     */
    private Long rechargeCountTotal;

    /**
     * 总充值次数（包含充值失败）（自然量）
     */
    private Long rechargeCountTotalNatural;

    /**
     * 平均每笔订单金额
     */
    private BigDecimal averageOrderMoney;

    /**
     * 平均每个用户下单金额
     */
    private BigDecimal averageUserMoney;

    /**
     * ROI
     */
    private BigDecimal roi;

    /**
     * 首日ROI
     */
    private BigDecimal roi1;

    /**
     * 7日ROI
     */
    private BigDecimal roi7;

    /**
     * 12日ROI
     */
    private BigDecimal roi30;

    /**
     * 当日消耗
     */
    private BigDecimal costDay;

    /**
     * 当日充值次数/订单数
     */
    private Long rechargeCountDay;

    /**
     * 当日充值金额
     */
    private BigDecimal rechargeMoneyDay;

    /**
     * 平均单笔订单金额
     */
    private BigDecimal averageOrderMoneyDay;

    /**
     * 当日总充值次数（包括未支付成功的订单）
     */
    private Long rechargeCountTotalDay;

    /**
     * 当日新增玩家数
     */
    private Long gameUserCountDay;

    /**
     * 当日创建角色数
     */
    private Long gameRoleCountDay;

    /**
     * 当日回本率
     */
    private BigDecimal roiDay;

    /**
     * 首日ROI（当天注册用户充值 / 当日消耗）
     */
    private BigDecimal firstRoiDay;


}
