package com.zanxiang.game.data.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * t_game
 * </p>
 *
 * @author auto
 * @since 2022-12-29
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_game")
public class Game implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 游戏id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * CP方 id
     */
    private Long cpId;

    /**
     * 投手id
     */
    private Long sysUserId;

    /**
     * 广告账号
     */
    private String accountId;

    /**
     * 投放渠道
     */
    private Long agentId;

    /**
     * 游戏名称
     */
    private String gameName;

    /**
     * 游戏的拼音
     */
    private String enName;

    /**
     * 首字母
     */
    private String enAbbr;

    /**
     * appkey
     */
    private String appKey;

    /**
     * 游戏标签
     */
    private String tags;

    /**
     * 游戏类型
     */
    private String category;

    /**
     * 游戏类别,3开头为android 4 开头为IOS 5 开头为H5 6开头为小程序 对应于game_class中的ID
     */
    private Integer classify;

    /**
     * CP回调路径
     */
    private String cpPaybackUrl;

    /**
     * 父游戏ID
     */
    private Long parentId;

    /**
     * 包名
     */
    private String packageName;

    /**
     * 上线时间
     */
    private LocalDateTime runTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 删除时间
     */
    private LocalDateTime deleteTime;

    /**
     * 添加CP时间
     */
    private LocalDateTime addCpTime;

    /**
     * 苹果应用ID
     */
    private String appleId;

    /**
     * 扩展 JSON格式 hot_image fine_image rebate_description  vip_description fine_description
     */
    private String extInfo;

    /**
     * 游戏互跳，1为互跳，2为不互跳
     */
    private Integer jumpSwitch;

    /**
     * 是否推广,1为推广,2为不推广
     */
    private Integer isPush;

    /**
     * 是否异常,1为异常,2为不异常
     */
    private Integer isExp;

    /**
     * 支付切换，1为切换，2为不切换
     */
    private Integer paySwitch;

    /**
     * 是否开启订单切量 1否 2是
     */
    private Integer orderSwitch;

    /**
     * 支付显示，1为不显示，2为显示
     */
    private Integer payShow;

    /**
     * 1 不显示浮点 2 显示浮点
     */
    private Integer floatIsShow;

    /**
     * 上线状态1 接入中， 2 可上线,3 已下线
     */
    private Integer status;

    /**
     * 1 伪删除  2 正常
     */
    private Integer isDelete;

    /**
     *  1在线游戏 2 单机 
     */
    private Integer isOnline;

    /**
     * 1 不是SDK游戏  2 是SDK游戏
     */
    private Integer isSdk;

    /**
     * 分成比例
     */
    private Double shareScale;

    /**
     * 关联h5游戏id
     */
    private Long h5GameId;

    /**
     * 导量游戏id
     */
    private Long guideGameId;

    /**
     * 游戏地址
     */
    private String gameUrl;

    /**
     * 版本
     */
    private String version;

    /**
     * 游戏投放渠道数量（总）
     */
    private Long agentCount;

    /**
     * 游戏投放渠道数量（今日）
     */
    private Long agentCountToday;

    /**
     * 游戏投放渠道数量（昨日）
     */
    private Long agentCountYesterday;

    /**
     * 广告数量（总）
     */
    private Long adCount;

    /**
     * 广告数量（今日）
     */
    private Long adCountToday;

    /**
     * 广告数量（昨日）
     */
    private Long adCountYesterday;

    /**
     * 消耗（总）
     */
    private BigDecimal cost;

    /**
     * 消耗（今日）
     */
    private BigDecimal costToday;

    /**
     * 消耗（昨日）
     */
    private BigDecimal costYesterday;

    /**
     * 赔付金（总）
     */
    private BigDecimal costBack;

    /**
     * 赔付金（今日）
     */
    private BigDecimal costBackToday;

    /**
     * 赔付金（昨日）
     */
    private BigDecimal costBackYesterday;

    /**
     * 实际消耗（总）
     */
    private BigDecimal costReal;

    /**
     * 实际消耗（今日）
     */
    private BigDecimal costRealToday;

    /**
     * 实际消耗（昨日）
     */
    private BigDecimal costRealYesterday;

    /**
     * 曝光数（总）
     */
    private Long viewCount;

    /**
     * 曝光数（今日）
     */
    private Long viewCountToday;

    /**
     * 曝光数（昨日）
     */
    private Long viewCountYesterday;

    /**
     * 点击数（总）
     */
    private Long clickCount;

    /**
     * 点击数量（今日）
     */
    private Long clickCountToday;

    /**
     * 点击数量（昨日）
     */
    private Long clickCountYesterday;

    /**
     * 注册人数（总）
     */
    private Long regUserCount;

    /**
     * 注册人数（今日）
     */
    private Long regUserCountToday;

    /**
     * 注册人数（昨日）
     */
    private Long regUserCountYesterday;

    /**
     * 注册人数（总）（买量）
     */
    private Long regUserCountBuy;

    /**
     * 注册人数（今日）（买量）
     */
    private Long regUserCountBuyToday;

    /**
     * 注册 人数（昨日）（买量）
     */
    private Long regUserCountBuyYesterday;

    /**
     * 注册人数（总）（自然量）
     */
    private Long regUserCountNatural;

    /**
     * 注册人数（今日）（自然量）
     */
    private Long regUserCountNaturalToday;

    /**
     * 注册人数（昨日）（自然量）
     */
    private Long regUserCountNaturalYesterday;

    /**
     * 首日创角人数（总）
     */
    private Long userCountOfFirstCreateRole;

    /**
     * 首日创角人数（今日）
     */
    private Long userCountOfFirstCreateRoleToday;

    /**
     * 首日创角人数（昨日）
     */
    private Long userCountOfFirstCreateRoleYesterday;

    /**
     * 创角人数（总）
     */
    private Long userCountOfCreateRole;

    /**
     * 创角人数（今日）
     */
    private Long userCountOfCreateRoleToday;

    /**
     * 创角人数（昨日）
     */
    private Long userCountOfCreateRoleYesterday;

    /**
     * 创角数（总）
     */
    private Long createRoleCount;

    /**
     * 创角数（今日）
     */
    private Long createRoleCountToday;

    /**
     * 创角数（昨日）
     */
    private Long createRoleCountYesterday;

    /**
     * 首日创角数（总）
     */
    private Long firstCreateRoleCount;

    /**
     * 首日创角数（今日）
     */
    private Long firstCreateRoleCountToday;

    /**
     * 首日创角数（昨日）
     */
    private Long firstCreateRoleCountYesterday;

    /**
     * 活跃人数（总）
     */
    private Long activeUserCount;

    /**
     * 活跃人数（今日）
     */
    private Long activeUserCountToday;

    /**
     * 活跃人数（昨日）
     */
    private Long activeUserCountYesterday;

    /**
     * 首日充值人数（总）
     */
    private Long firstRechargeUser;

    /**
     * 首日充值人数（今日）
     */
    private Long firstRechargeUserToday;

    /**
     * 首日充值人数（昨日）
     */
    private Long firstRechargeUserYesterday;

    /**
     * 首日充值次数（总）
     */
    private Long firstRechargeCount;

    /**
     * 首日充值次数（今日）
     */
    private Long firstRechargeCountToday;

    /**
     * 首日充值次数（昨日）
     */
    private Long firstRechargeCountYesterday;

    /**
     * 首日充值金额（总）
     */
    private BigDecimal firstRechargeMoney;

    /**
     * 首日充值金额（今日）
     */
    private BigDecimal firstRechargeMoneyToday;

    /**
     * 首日充值金额（昨日）
     */
    private BigDecimal firstRechargeMoneyYesterday;

    /**
     * 首日充值金额（总）（买量）
     */
    private BigDecimal firstRechargeMoneyBuy;

    /**
     * 首日充值金额（今日）（买量）
     */
    private BigDecimal firstRechargeMoneyBuyToday;

    /**
     * 首日充值金额（昨日）（买量）
     */
    private BigDecimal firstRechargeMoneyBuyYesterday;

    /**
     * 首日充值金额（总）（自然量）
     */
    private BigDecimal firstRechargeMoneyNatural;

    /**
     * 首日充值金额（今日）（自然量）
     */
    private BigDecimal firstRechargeMoneyNaturalToday;

    /**
     * 首日充值金额（昨日）（自然量）
     */
    private BigDecimal firstRechargeMoneyNaturalYesterday;

    /**
     * 充值金额（总）
     */
    private BigDecimal rechargeMoney;

    /**
     * 充值金额（今日）
     */
    private BigDecimal rechargeMoneyToday;

    /**
     * 充值金额（昨日）
     */
    private BigDecimal rechargeMoneyYesterday;

    /**
     * 充值金额（总）（买量）
     */
    private BigDecimal rechargeMoneyBuy;

    /**
     * 充值金额（今日）（买量）
     */
    private BigDecimal rechargeMoneyBuyToday;

    /**
     * 充值金额（昨日）（买量）
     */
    private BigDecimal rechargeMoneyBuyYesterday;

    /**
     * 充值金额（总）（自然量）
     */
    private BigDecimal rechargeMoneyNatural;

    /**
     * 充值金额（今日）（自然量）
     */
    private BigDecimal rechargeMoneyNaturalToday;

    /**
     * 充值金额（昨日）（自然量）
     */
    private BigDecimal rechargeMoneyNaturalYesterday;

    /**
     * 账面充值金额（总）
     */
    private BigDecimal showRechargeMoney;

    /**
     * 账面充值金额（今日）
     */
    private BigDecimal showRechargeMoneyToday;

    /**
     * 账面充值金额（昨日）
     */
    private BigDecimal showRechargeMoneyYesterday;

    /**
     * 充值人数（总）
     */
    private Long rechargeUser;

    /**
     * 充值人数（今日）
     */
    private Long rechargeUserToday;

    /**
     * 充值人数（昨日）
     */
    private Long rechargeUserYesterday;

    /**
     * 充值人数（总）（买量）
     */
    private Long rechargeUserBuy;

    /**
     * 充值人数（今日）（买量）
     */
    private Long rechargeUserBuyToday;

    /**
     * 充值人数（昨日）（买量）
     */
    private Long rechargeUserBuyYesterday;

    /**
     * 充值人数（总）（自然量）
     */
    private Long rechargeUserNatural;

    /**
     * 充值人数（今日）（自然量）
     */
    private Long rechargeUserNaturalToday;

    /**
     * 充值人数（昨日）（自然量）
     */
    private Long rechargeUserNaturalYesterday;

    /**
     * 充值次数（总）
     */
    private Long rechargeCount;

    /**
     * 充值次数（今日）
     */
    private Long rechargeCountToday;

    /**
     * 充值次数（昨日）
     */
    private Long rechargeCountYesterday;

    /**
     * 转化量（总）
     */
    private Long convertCount;

    /**
     * 转化量（今日）
     */
    private Long convertCountToday;

    /**
     * 转化量（昨日）
     */
    private Long convertCountYesterday;

    /**
     * 深度转化（总）
     */
    private Long deepConvertCount;

    /**
     * 深度转化（今日）
     */
    private Long deepConvertCountToday;

    /**
     * 深度转化（昨日）
     */
    private Long deepConvertCountYesterday;

    /**
     * 应用下载量（总）
     */
    private Long appDownloadCount;

    /**
     * 应用下载量（今日）
     */
    private Long appDownloadCountToday;

    /**
     * 应用下载量（昨日）
     */
    private Long appDownloadCountYesterday;

    /**
     * 应用安装量（总）
     */
    private Long appInstallCount;

    /**
     * 应用下载量（今日）
     */
    private Long appInstallCountToday;

    /**
     * 应用下载量（昨日）
     */
    private Long appInstallCountYesterday;

    /**
     * 应用激活数（总）
     */
    private Long appActiveCount;

    /**
     * 应用激活数（今日）
     */
    private Long appActiveCountToday;

    /**
     * 应用激活数（昨日）
     */
    private Long appActiveCountYesterday;


}
