package com.zanxiang.game.data.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * t_game_order
 * </p>
 *
 * @author auto
 * @since 2022-12-29
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_game_order")
public class GameOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增id
     */
    private Long id;

    /**
     * 充值日期
     */
    private LocalDate statDay;

    /**
     * 投手id
     */
    private Long sysUserId;

    /**
     * 广告账号
     */
    private String accountId;

    /**
     * 用户名
     */
    private String username;

    /**
     * 商户号
     */
    private String merchantNo;

    /**
     * 商户名称
     */
    private String merchantName;

    /**
     * 商户订单号
     */
    private String orderId;

    /**
     * CP订单号
     */
    private String cpOrderId;

    /**
     * 注册游戏id
     */
    private Long regGameId;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 游戏用户ID
     */
    private Long gameUserId;

    /**
     * 服务器id
     */
    private String serverId;

    /**
     * 游戏玩家ID
     */
    private Long gamePlayerId;

    /**
     * 角色id
     */
    private Long gameRoleId;

    /**
     * 游戏渠道ID
     */
    private Long agentId;

    /**
     * 货物总价
     */
    private BigDecimal amount;

    /**
     * 实际支付金额
     */
    private BigDecimal realAmount;

    /**
     * 游戏商品ID
     */
    private String productId;

    /**
     * 游戏商品数量
     */
    private Long productCount;

    /**
     * 游戏商品名称
     */
    private String productName;

    /**
     * 优惠券抵扣
     */
    private BigDecimal couponAmount;

    /**
     * 平台币抵扣金额
     */
    private BigDecimal ptbAmount;

    /**
     * 游戏币使用余额
     */
    private BigDecimal gmAmount;

    /**
     * 使用积分
     */
    private Long integral;

    /**
     * 使用积分抵多少钱
     */
    private BigDecimal integralMoney;

    /**
     * 返利数量 默认为0
     */
    private BigDecimal rebateAmount;

    /**
     * 支付平台返回交易订单号
     */
    private String merchantOrderNo;

    /**
     * 折扣
     */
    private BigDecimal rate;

    /**
     * 支付状态，1为待处理，2为成功，3为失败
     */
    private Integer status;

    /**
     * CP通知状态，1为待处理，2为成功，3为失败
     */
    private Integer cpStatus;

    /**
     * 支付方式名称
     */
    private String payway;

    /**
     * 注册时间
     */
    private LocalDateTime regTime;

    /**
     * 支付时间
     */
    private LocalDateTime payTime;

    /**
     * 充值时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 结束时间
     */
    private LocalDateTime endTime;

    /**
     * 是否首充 0 否 1 是
     */
    private Integer isFirstRecharge;

    /**
     * 操作系统
     */
    private String fromDevice;

    /**
     * 支付类型, 1:PC, 2: h5支付, 3: App支付, 4: 小程序支付, 5: 米大师支付
     */
    private Integer payDevice;

    /**
     * 通知次数
     */
    private Long notifyCnt;

    /**
     * 最近通知时间
     */
    private LocalDateTime lastNotifyTime;

    /**
     * CP附加参数
     */
    private String ext;

    /**
     * 是否切换 1切换 2 不切换
     */
    private Integer isSwitch;

    /**
     * 米大师虚拟币余额
     */
    private BigDecimal midasBalance;

    /**
     * 删除状态 0 正常 1 已删除
     */
    private Integer isDelete;

    /**
     * SDK来源
     */
    private String sourceSystem;


}
