package com.zanxiang.game.data.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * t_game_player_role
 * </p>
 *
 * @author auto
 * @since 2022-12-29
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_game_player_role")
public class GamePlayerRole implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 角色id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 投手id
     */
    private Long sysUserId;

    /**
     * 广告账号
     */
    private String accountId;

    /**
     * 投放渠道
     */
    private Long agentId;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 游戏用户id, 对应game_user主键id
     */
    private Long gameUserId;

    /**
     * 游戏区服id
     */
    private String serverId;

    /**
     * 游戏玩家 id
     */
    private Long gamePlayerId;

    /**
     * 区服id(大区)
     */
    private String regionalId;

    /**
     * 角色id
     */
    private Long roleId;

    /**
     * 注册日期
     */
    private LocalDateTime regDay;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色等级
     */
    private Long roleLevel;

    /**
     * 角色VIP
     */
    private Long roleVip;

    /**
     * 金钱
     */
    private BigDecimal money;

    /**
     * 玩家角色战力
     */
    private Long combatNum;

    /**
     * 扩展信息
     */
    private String ext;

    /**
     * 操作系统
     */
    private String os;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 最后登录时间
     */
    private LocalDateTime lastLoginTime;

    /**
     * 首次充值金额
     */
    private BigDecimal firstRechargeMoney;

    /**
     * 首次充值时间
     */
    private LocalDateTime firstRechargeTime;

    /**
     * 充值成功次数
     */
    private Long rechargeCount;

    /**
     * 累计账面充值金额
     */
    private BigDecimal showRechargeMoney;

    /**
     * 累计支付金额
     */
    private BigDecimal rechargeMoney;

    /**
     * 今日充值金额
     */
    private BigDecimal rechargeMoneyToday;

    /**
     * 昨日充值金额
     */
    private BigDecimal rechargeMoneyYesterday;

    /**
     * 最后充值时间
     */
    private LocalDateTime lastRechargeTime;

    /**
     * 最后充值金额
     */
    private BigDecimal lastRechargeMoney;

    /**
     * 发起充值次数（包括未支付的订单）
     */
    private Long rechargeCountTotal;


}
