package com.zanxiang.game.data.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * t_game_server_stat_day
 * </p>
 *
 * @author auto
 * @since 2022-12-29
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_game_server_stat_day")
public class GameServerStatDay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 区服id
     */
    private Long id;

    /**
     * 游戏区服ID
     */
    private Long serverId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 开始时间
     */
    private LocalDateTime statDay;

    /**
     * 投手id
     */
    private Long sysUserId;

    /**
     * 广告账号
     */
    private String accountId;

    /**
     * 所属渠道ID
     */
    private Long agentId;

    /**
     * 注册人数（总）
     */
    private Long regUserCount;

    /**
     * 注册人数（今日）
     */
    private Long regUserCountToday;

    /**
     * 注册人数（昨日）
     */
    private Long regUserCountYesterday;

    /**
     * 注册人数（总）（自然量）
     */
    private Long regUserCountNatural;

    /**
     * 注册人数（今日）（自然量）
     */
    private Long regUserCountNaturalToday;

    /**
     * 注册人数（昨日）（自然量）
     */
    private Long regUserCountNaturalYesterday;

    /**
     * 首日创角人数（总）
     */
    private Long userCountOfFirstCreateRole;

    /**
     * 首日创角人数（今日）
     */
    private Long userCountOfFirstCreateRoleToday;

    /**
     * 首日创角人数（昨日）
     */
    private Long userCountOfFirstCreateRoleYesterday;

    /**
     * 创角人数（总）
     */
    private Long userCountOfCreateRole;

    /**
     * 创角人数（今日）
     */
    private Long userCountOfCreateRoleToday;

    /**
     * 创角人数（昨日）
     */
    private Long userCountOfCreateRoleYesterday;

    /**
     * 创角数（总）
     */
    private Long createRoleCount;

    /**
     * 创角数（今日）
     */
    private Long createRoleCountToday;

    /**
     * 创角数（昨日）
     */
    private Long createRoleCountYesterday;

    /**
     * 首日创角数（总）
     */
    private Long firstCreateRoleCount;

    /**
     * 首日创角数（今日）
     */
    private Long firstCreateRoleCountToday;

    /**
     * 首日创角数（昨日）
     */
    private Long firstCreateRoleCountYesterday;

    /**
     * 活跃人数（总）
     */
    private Long activeUserCount;

    /**
     * 活跃人数（今日）
     */
    private Long activeUserCountToday;

    /**
     * 活跃人数（昨日）
     */
    private Long activeUserCountYesterday;

    /**
     * 首日充值人数（总）
     */
    private Long firstRechargeUser;

    /**
     * 首日充值人数（今日）
     */
    private Long firstRechargeUserToday;

    /**
     * 首日充值人数（昨日）
     */
    private Long firstRechargeUserYesterday;

    /**
     * 首日充值次数（总）
     */
    private Long firstRechargeCount;

    /**
     * 首日充值次数（今日）
     */
    private Long firstRechargeCountToday;

    /**
     * 首日充值次数（昨日）
     */
    private Long firstRechargeCountYesterday;

    /**
     * 首日充值金额（总）
     */
    private BigDecimal firstRechargeMoney;

    /**
     * 首日充值金额（今日）
     */
    private BigDecimal firstRechargeMoneyToday;

    /**
     * 首日充值金额（昨日）
     */
    private BigDecimal firstRechargeMoneyYesterday;

    /**
     * 充值金额（总）
     */
    private BigDecimal rechargeMoney;

    /**
     * 充值金额（今日）
     */
    private BigDecimal rechargeMoneyToday;

    /**
     * 充值金额（昨日）
     */
    private BigDecimal rechargeMoneyYesterday;

    /**
     * 充值金额（总）（自然量）
     */
    private BigDecimal rechargeMoneyNatural;

    /**
     * 充值金额（今日）（自然量）
     */
    private BigDecimal rechargeMoneyNaturalToday;

    /**
     * 充值金额（昨日）（自然量）
     */
    private BigDecimal rechargeMoneyNaturalYesterday;

    /**
     * 首日充值金额（总）（自然量）
     */
    private BigDecimal firstRechargeMoneyNatural;

    /**
     * 首日充值金额（今日）（自然量）
     */
    private BigDecimal firstRechargeMoneyNaturalToday;

    /**
     * 首日充值金额（昨日）（自然量）
     */
    private BigDecimal firstRechargeMoneyNaturalYesterday;

    /**
     * 账面充值金额（总）
     */
    private BigDecimal showRechargeMoney;

    /**
     * 账面充值金额（今日）
     */
    private BigDecimal showRechargeMoneyToday;

    /**
     * 账面充值金额（昨日）
     */
    private BigDecimal showRechargeMoneyYesterday;

    /**
     * 充值人数（总）
     */
    private Long rechargeUser;

    /**
     * 充值人数（今日）
     */
    private Long rechargeUserToday;

    /**
     * 充值人数（昨日）
     */
    private Long rechargeUserYesterday;

    /**
     * 充值人数（总）（自然量）
     */
    private Long rechargeUserNatural;

    /**
     * 充值人数（今日）（自然量）
     */
    private Long rechargeUserNaturalToday;

    /**
     * 充值人数（昨日）（自然量）
     */
    private Long rechargeUserNaturalYesterday;

    /**
     * 充值次数（总）
     */
    private Long rechargeCount;

    /**
     * 充值次数（今日）
     */
    private Long rechargeCountToday;

    /**
     * 充值次数（昨日）
     */
    private Long rechargeCountYesterday;


}
