package com.zanxiang.game.data.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * t_game_user_stat_day
 * </p>
 *
 * @author auto
 * @since 2022-12-29
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_game_user_stat_day")
public class GameUserStatDay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    private Long id;

    /**
     * 投手id
     */
    private Long sysUserId;

    /**
     * 广告账号
     */
    private String accountId;

    /**
     * 游戏 id
     */
    private Long gameId;

    /**
     * 是否自然量；1：自然量；2：买量
     */
    private Integer isNatural;

    /**
     * 开始时间
     */
    private LocalDateTime statDay;

    /**
     * 注册日期
     */
    private LocalDateTime regDay;

    /**
     * 用户名
     */
    private String username;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 注册手机号
     */
    private String regMobile;

    /**
     * 注册邮箱
     */
    private String regEmail;

    /**
     * 绑定邮箱
     */
    private String email;

    /**
     * 绑定手机号码
     */
    private String mobile;

    /**
     * 设备来源 mobile,android,iphone,ipad,web,pc,mac,wxapp
     */
    private String fromDevice;

    /**
     * 设备ID android 为imei ios 为idfa
     */
    private String deviceId;

    /**
     * 运营商
     */
    private String operatorType;

    /**
     * 所属渠道ID
     */
    private Long agentId;

    /**
     * 父Id
     */
    private Long parentId;

    /**
     * 注册时间
     */
    private LocalDateTime createTime;

    /**
     * 更改时间
     */
    private LocalDateTime updateTime;

    /**
     * 是否切换 1 切换 2不切换
     */
    private Integer isSwitch;

    /**
     * 切量时间 指定切量时间后的订单都会被切量
     */
    private LocalDateTime switchTime;

    /**
     * 切量金额 大于指定切量金额的订单都才被切量
     */
    private Long switchMoney;

    /**
     * 平台币余额
     */
    private BigDecimal platformCoin;

    /**
     * 是否GS
     */
    private Long isGs;

    /**
     * 拥有角色最高vip
     */
    private Long vipMax;

    /**
     * 广告id
     */
    private Long adId;

    /**
     * 用户标签（用户等级）
     */
    private String userTags;

    /**
     * 创角数
     */
    private Long roleCount;

    /**
     * 首次充值金额
     */
    private BigDecimal firstRechargeMoney;

    /**
     * 首次充值时间
     */
    private LocalDateTime firstRechargeTime;

    /**
     * 充值成功次数
     */
    private Long rechargeCount;

    /**
     * 累计账面充值金额
     */
    private BigDecimal showRechargeMoney;

    /**
     * 累计支付金额
     */
    private BigDecimal rechargeMoney;

    /**
     * 订单均价
     */
    private BigDecimal avgOrderMoney;

    /**
     * 今日充值金额
     */
    private BigDecimal rechargeMoneyToday;

    /**
     * 昨日充值金额
     */
    private BigDecimal rechargeMoneyYesterday;

    /**
     * 最后充值时间
     */
    private LocalDateTime lastRechargeTime;

    /**
     * 最后充值金额
     */
    private BigDecimal lastRechargeMoney;

    /**
     * 发起充值次数（包括未支付的订单）
     */
    private Long rechargeCountTotal;

    /**
     * 最后充值游戏ID
     */
    private Long lastRechargeGameId;

    /**
     * 最后充值游戏
     */
    private String lastRechargeGameName;

    /**
     * 注册游戏ID
     */
    private Long registerRechargeGameId;

    /**
     * 注册游戏
     */
    private String registerRechargeGameName;


}
