package com.zanxiang.game.data.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 游戏推广渠道日报表
 * </p>
 *
 * @author auto
 * @since 2023-01-07
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_promote_agent_stat_day")
public class PromoteAgentStatDay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 渠道id
     */
    private Long agentId;

    /**
     * 统计日期
     */
    private LocalDate statDay;

    /**
     * 订单日期
     */
    private LocalDate orderDay;

    /**
     * 推广账号名称
     */
    private String promoteAccountName;

    /**
     * 推广账号ID
     */
    private String promoteAccountId;

    /**
     * 推广状态(ing，stop)
     */
    private String promoteStatus;

    /**
     * CP_ID
     */
    private Long cpId;

    /**
     * CP名称
     */
    private String cpName;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 游戏名称
     */
    private String gameName;

    /**
     * 游戏类型
     */
    private String gameType;

    /**
     * 投放渠道(mp/gdt/byte)
     */
    private String putAgent;

    /**
     * 投手id
     */
    private Long sysUserId;

    /**
     * 投手名称
     */
    private String sysUserName;

    /**
     * 广告数量（总）
     */
    private Long adCount;

    /**
     * 广告数量（今日）
     */
    private Long adCountToday;

    /**
     * 消耗（总）
     */
    private BigDecimal cost;

    /**
     * 消耗（今日）
     */
    private BigDecimal costToday;

    /**
     * 赔付金（总）
     */
    private BigDecimal costBack;

    /**
     * 赔付金（今日）
     */
    private BigDecimal costBackToday;

    /**
     * 实际消耗（总）
     */
    private BigDecimal costReal;

    /**
     * 实际消耗（今日）
     */
    private BigDecimal costRealToday;

    /**
     * 曝光数（总）
     */
    private Long viewCount;

    /**
     * 曝光数（今日）
     */
    private Long viewCountToday;

    /**
     * 点击数（总）
     */
    private Long clickCount;

    /**
     * 点击数量（今日）
     */
    private Long clickCountToday;

    /**
     * 转化量（总）
     */
    private Long convertCount;

    /**
     * 转化量（今日）
     */
    private Long convertCountToday;

    /**
     * 深度转化（总）
     */
    private Long deepConvertCount;

    /**
     * 深度转化（今日）
     */
    private Long deepConvertCountToday;

    /**
     * 应用下载量（总）
     */
    private Long appDownloadCount;

    /**
     * 应用下载量（今日）
     */
    private Long appDownloadCountToday;

    /**
     * 应用安装量（总）
     */
    private Long appInstallCount;

    /**
     * 应用安装量（今日）
     */
    private Long appInstallCountToday;

    /**
     * 应用下载完成量 (总)
     */
    private Long downloadFinish;

    /**
     * 应用下载完成量(今日)
     */
    private Long downloadFinishToday;

    /**
     * 应用激活数（总）
     */
    private Long appActiveCount;

    /**
     * 应用激活数（今日）
     */
    private Long appActiveCountToday;

    /**
     * 注册人数（总）
     */
    private Long regUserCount;

    /**
     * 注册人数（今日）
     */
    private Long regUserCountToday;

    /**
     * 注册人数（总）（买量）
     */
    private Long regUserCountBuy;

    /**
     * 注册人数（今日）（买量）
     */
    private Long regUserCountBuyToday;

    /**
     * 注册人数（总）（自然量）
     */
    private Long regUserCountNatural;

    /**
     * 注册人数（今日）（自然量）
     */
    private Long regUserCountNaturalToday;

    /**
     * 活跃人数（总）
     */
    private Long activeUserCount;

    /**
     * 活跃人数（今日）
     */
    private Long activeUserCountToday;

    /**
     * 创角人数（总）
     */
    private Long userCountOfCreateRole;

    /**
     * 创角人数（今日）
     */
    private Long userCountOfCreateRoleToday;

    /**
     * 首日创角人数（总）
     */
    private Long userCountOfFirstCreateRole;

    /**
     * 首日创角人数（今日）
     */
    private Long userCountOfFirstCreateRoleToday;

    /**
     * 新用户累计创角人数（总）
     */
    private Long firstUserCountOfFirstCreateRole;

    /**
     * 新用户累计创角人数（今日）
     */
    private Long firstUserCountOfFirstCreateRoleToday;

    /**
     * 创角量（总）
     */
    private Long createRoleCount;

    /**
     * 创角量（今日）
     */
    private Long createRoleCountToday;

    /**
     * 首日创角量（总）
     */
    private Long firstCreateRoleCount;

    /**
     * 首日创角量（今日）
     */
    private Long firstCreateRoleCountToday;

    /**
     * 新用户累计创角量（总）
     */
    private Long roleCountOfFirstUser;

    /**
     * 新用户累计创角量（今日）
     */
    private Long roleCountOfFirstUserToday;

    /**
     * 首日新用户充值次数（总）
     */
    private Long firstUserRechargeCount;

    /**
     * 首日新用户充值次数（今日）
     */
    private Long firstUserRechargeCountToday;

    /**
     * 首日新用户充值人数（总）
     */
    private Long firstUserRechargeUser;

    /**
     * 首日新用户充值人数（今日）
     */
    private Long firstUserRechargeUserToday;

    /**
     * 首日新用户充值金额（总）
     */
    private BigDecimal firstUserRechargeMoney;

    /**
     * 首日新用户充值金额（今日）
     */
    private BigDecimal firstUserRechargeMoneyToday;

    /**
     * 老用户充值次数（总）
     */
    private Long oldUserRechargeCount;

    /**
     * 老用户充值次数（今日）
     */
    private Long oldUserRechargeCountToday;

    /**
     * 老用户充值人数（总）
     */
    private Long oldUserRechargeUser;

    /**
     * 老用户充值人数（今日）
     */
    private Long oldUserRechargeUserToday;

    /**
     * 老用户充值金额（总）
     */
    private BigDecimal oldUserRechargeMoney;

    /**
     * 老用户充值金额（今日）
     */
    private BigDecimal oldUserRechargeMoneyToday;

    /**
     * 账面充值次数（总）
     */
    private Long showRechargeCount;

    /**
     * 账面充值次数（今日）
     */
    private Long showRechargeCountToday;

    /**
     * 账面充值人数（总）
     */
    private Long showRechargeUser;

    /**
     * 账面充值人数（今日）
     */
    private Long showRechargeUserToday;

    /**
     * 账面充值金额（总）
     */
    private BigDecimal showRechargeMoney;

    /**
     * 账面充值金额（今日）
     */
    private BigDecimal showRechargeMoneyToday;

    /**
     * 新用户累计充值次数（总）
     */
    private Long newUserRechargeCount;

    /**
     * 新用户累计充值次数（今日）
     */
    private Long newUserRechargeCountToday;

    /**
     * 新用户累计充值人数（总）
     */
    private Long newUserRechargeUser;

    /**
     * 新用户累计充值人数（今日）
     */
    private Long newUserRechargeUserToday;

    /**
     * 新用户累计充值金额（总）
     */
    private BigDecimal newUserRechargeMoney;

    /**
     * 新用户累计充值金额（今日）
     */
    private BigDecimal newUserRechargeMoneyToday;

    /**
     * 首日充值人数（总）
     */
    private Long firstRechargeUser;

    /**
     * 首日充值人数（今日）
     */
    private Long firstRechargeUserToday;

    /**
     * 首日充值次数（总）
     */
    private Long firstRechargeCount;

    /**
     * 首日充值次数（今日）
     */
    private Long firstRechargeCountToday;

    /**
     * 首日充值金额（总）
     */
    private Long firstRechargeMoney;

    /**
     * 首日充值金额（今日）
     */
    private BigDecimal firstRechargeMoneyToday;

    /**
     * 首日充值金额（总）（买量）
     */
    private BigDecimal firstRechargeMoneyBuy;

    /**
     * 首日充值金额（今日）（买量）
     */
    private BigDecimal firstRechargeMoneyBuyToday;

    /**
     * 首日充值金额（总）（自然量）
     */
    private BigDecimal firstRechargeMoneyNatural;

    /**
     * 首日充值金额（今日）（自然量）
     */
    private BigDecimal firstRechargeMoneyNaturalToday;

    /**
     * 充值金额（总）
     */
    private BigDecimal rechargeMoney;

    /**
     * 充值金额（今日）
     */
    private BigDecimal rechargeMoneyToday;

    /**
     * 充值金额（总）（买量）
     */
    private BigDecimal rechargeMoneyBuy;

    /**
     * 充值金额（今日）（买量）
     */
    private BigDecimal rechargeMoneyBuyToday;

    /**
     * 充值金额（总）（自然量）
     */
    private BigDecimal rechargeMoneyNatural;

    /**
     * 充值金额（今日）（自然量）
     */
    private BigDecimal rechargeMoneyNaturalToday;

    /**
     * 充值人数（总）
     */
    private Long rechargeUser;

    /**
     * 充值人数（今日）
     */
    private Long rechargeUserToday;

    /**
     * 充值人数（总）（买量）
     */
    private Long rechargeUserBuy;

    /**
     * 充值人数（今日）（买量）
     */
    private Long rechargeUserBuyToday;

    /**
     * 充值人数（总）（自然量）
     */
    private Long rechargeUserNatural;

    /**
     * 充值人数（今日）（自然量）
     */
    private Long rechargeUserNaturalToday;

    /**
     * 充值次数（总）
     */
    private Long rechargeCount;

    /**
     * 充值次数（今日）
     */
    private Long rechargeCountToday;

    /**
     * 新用户复充人数（充值次数大于2）
     */
    private Long firstUserRepeatRechargeCount;

    /**
     * 次日登录用户数
     */
    private Long nextDayLogin;

    /**
     * 七日登录用户数
     */
    private Long sevenDayLogin;

    /**
     * 新增总用户数
     */
    private Long firstUserCount;

    /**
     * 总付费用户数
     */
    private Long rechargeUserCount;

    /**
     * 计划数量（总）
     */
    private Long adPlanCount;

    /**
     * 计划数量（今日）
     */
    private Long adPlanCountToday;

    /**
     * 3日新用户累计充值金额
     */
    private BigDecimal newUserRechargeMoneyDay3;

    /**
     * 5日新用户累计充值金额
     */
    private BigDecimal newUserRechargeMoneyDay5;

    /**
     * 7日新用户累计充值金额
     */
    private BigDecimal newUserRechargeMoneyDay7;

    /**
     * 15日新用户累计充值金额
     */
    private BigDecimal newUserRechargeMoneyDay15;

    /**
     * 30日新用户累计充值金额
     */
    private BigDecimal newUserRechargeMoneyDay30;

    /**
     * 60日新用户累计充值金额
     */
    private BigDecimal newUserRechargeMoneyDay60;

    /**
     * 90日新用户累计充值金额
     */
    private BigDecimal newUserRechargeMoneyDay90;

    /**
     * 180日新用户累计充值金额
     */
    private BigDecimal newUserRechargeMoneyDay180;

    /**
     * 365日新用户累计充值金额
     */
    private BigDecimal newUserRechargeMoneyDay365;

    /**
     * 1日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay1;

    /**
     * 2日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay2;

    /**
     * 3日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay3;

    /**
     * 4日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay4;

    /**
     * 5日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay5;

    /**
     * 6日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay6;

    /**
     * 7日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay7;

    /**
     * 14日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay14;

    /**
     * 15日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay15;

    /**
     * 29日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay29;

    /**
     * 30日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay30;

    /**
     * 59日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay59;

    /**
     * 60日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay60;

    /**
     * 89日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay89;

    /**
     * 90日新用户当日充值
     */
    private BigDecimal newUserRechargeMoneyDcDay90;

    /**
     * 1日新用户当日人数
     */
    private Long newUserRechargeUserDcDay1;

    /**
     * 2日新用户当日人数
     */
    private Long newUserRechargeUserDcDay2;

    /**
     * 3日新用户当日人数
     */
    private Long newUserRechargeUserDcDay3;

    /**
     * 4日新用户当日人数
     */
    private Long newUserRechargeUserDcDay4;

    /**
     * 5日新用户当日人数
     */
    private Long newUserRechargeUserDcDay5;

    /**
     * 6日新用户当日人数
     */
    private Long newUserRechargeUserDcDay6;

    /**
     * 7日新用户当日人数
     */
    private Long newUserRechargeUserDcDay7;

    /**
     * 14日新用户当日人数
     */
    private Long newUserRechargeUserDcDay14;

    /**
     * 15日新用户当日人数
     */
    private Long newUserRechargeUserDcDay15;

    /**
     * 29日新用户当日人数
     */
    private Long newUserRechargeUserDcDay29;

    /**
     * 30日新用户当日人数
     */
    private Long newUserRechargeUserDcDay30;

    /**
     * 59日新用户当日人数
     */
    private Long newUserRechargeUserDcDay59;

    /**
     * 60日新用户当日人数
     */
    private Long newUserRechargeUserDcDay60;

    /**
     * 89日新用户当日人数
     */
    private Long newUserRechargeUserDcDay89;

    /**
     * 90日新用户当日人数
     */
    private Long newUserRechargeUserDcDay90;


}
