package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Collections;
import java.util.List;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameOrderDetailVO {

    @ApiModelProperty(notes = "订单列表数据")
    private List<OrderDetailVO> records;

    @ApiModelProperty(notes = "订单统计数据")
    private TotalDataVO totalData;

    @ApiModelProperty(notes = "总数据")
    private Long total;

    @ApiModelProperty(notes = "每页显示条数")
    private Long size;

    @ApiModelProperty(notes = "当前页")
    private Long current;

    @ApiModelProperty(notes = "分页总页数")
    private Long pages;

    public GameOrderDetailVO(Long size) {
        this.records = Collections.emptyList();
        this.totalData = null;
        this.total = 0L;
        this.size = size;
        this.current = 1L;
        this.pages = 0L;
    }
}
