package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GamePromoteVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty(notes = "渠道id")
    private Long agentId;

    @ApiModelProperty(notes = "推广账号名称")
    private String accountName;
    @ApiModelProperty(notes = "推广账号ID")
    private String accountId;

    @ApiModelProperty(notes = "投放渠道")
    private String putAgent;
    @ApiModelProperty(notes = "推广状态")
    private String promoteStatus;

    @ApiModelProperty(notes = "投手名")
    private String sysUserName;

    @ApiModelProperty(notes = "cpId")
    private Long cpId;
    @ApiModelProperty(notes = "cp名")
    private String cpName;

    @ApiModelProperty(notes = "游戏id")
    private Long gameId;
    @ApiModelProperty(notes = "游戏名")
    private String gameName;
    @ApiModelProperty(notes = "游戏应用类型")
    private String gameType;

    @ApiModelProperty(notes = "消耗日期")
    private LocalDate costDay;

    @ApiModelProperty(notes = "投手id")
    private Long sysUserId;

    @ApiModelProperty(notes = "消耗")
    private BigDecimal cost;

    @ApiModelProperty(notes = "广告数量")
    private Long adCount;

    @ApiModelProperty(notes = "广告计划数量")
    private Long adPlanCount;

    @ApiModelProperty(notes = "赔付金")
    private BigDecimal costBack;

    @ApiModelProperty(notes = "实际消耗")
    private BigDecimal costReal;

    @ApiModelProperty(notes = "曝光数")
    private Long viewCount;

    @ApiModelProperty(notes = "点击数")
    private Long clickCount;

    @ApiModelProperty(notes = "转化量")
    private Long convertCount;

    @ApiModelProperty(notes = "转化率（目标转化率）=转化量/点击量100%")
    private BigDecimal convertRate;

    @ApiModelProperty(notes = "平均转化成本=实际消耗/转化量")
    private BigDecimal avgConvertCost;

    @ApiModelProperty(notes = "深度转化量")
    private Long deepConvertCount;

    @ApiModelProperty(notes = "深度转化成本=实际消耗/深度转化量")
    private BigDecimal deepConvertCost;

    @ApiModelProperty(notes = "深度转化率=深度转化量/转化量100%")
    private BigDecimal deepConvertRate;

    @ApiModelProperty(notes = "千次曝光成本=实际消耗/曝光量1000")
    private BigDecimal thousandViewCost;

    @ApiModelProperty(notes = "点击率=点击量/曝光量100%")
    private BigDecimal clickRate;

    @ApiModelProperty(notes = "平均点击均价=实际消耗/点击量")
    private BigDecimal avgClickCost;

    @ApiModelProperty(notes = "应用下载量")
    private Long appDownloadCount;

    @ApiModelProperty(notes = "应用下载成本=实际消耗/安卓下载开始数")
    private BigDecimal appDownloadCost;

    @ApiModelProperty(notes = "应用下载率=安卓下载开始数/点击数")
    private BigDecimal appDownloadRate;

    @ApiModelProperty(notes = "应用下载完成量")
    private Long downloadFinish;

    @ApiModelProperty(notes = "应用安装量")
    private Long appInstallCount;

    @ApiModelProperty(notes = "应用安装成本=实际消耗/安卓安装完成数")
    private BigDecimal appInstallCost;

    @ApiModelProperty(notes = "应用安装率=安卓安装完成数/安卓下载完成数")
    private BigDecimal appInstallRate;

    @ApiModelProperty(notes = "应用下载完成成本=实际消耗/安卓下载完成数")
    private BigDecimal downloadFinishCost;

    @ApiModelProperty(notes = "应用下载完成率=安卓下载完成数/安卓下载开始数")
    private BigDecimal downloadFinishRate;

    @ApiModelProperty(notes = "应用激活数")
    private Long appActiveCount;

    @ApiModelProperty(notes = "应用激活成本=实际消耗/激活数")
    private BigDecimal appActiveCost;

    @ApiModelProperty(notes = "应用激活率=激活数/点击数100%")
    private BigDecimal appActiveRate;

    @ApiModelProperty(notes = "注册人数")
    private Long regUserCount;

    @ApiModelProperty(notes = "活跃人数")
    private Long activeUserCount;

    @ApiModelProperty(notes = "创角人数")
    private Long userCountOfCreateRole;

    @ApiModelProperty(notes = "首日创角人数")
    private Long userCountOfFirstCreateRole;

    @ApiModelProperty(notes = "新用户累计创角人数")
    private Long firstUserCountOfFirstCreateRole;

    @ApiModelProperty(notes = "创角量")
    private Long createRoleCount;

    @ApiModelProperty(notes = "首日创角量")
    private Long firstCreateRoleCount;

    @ApiModelProperty(notes = "新用户累计创角量")
    private Long roleCountOfFirstUser;

    @ApiModelProperty(notes = "注册成本=实际消耗/注册人数")
    private BigDecimal regCost;

    @ApiModelProperty(notes = "首日创角成本=实际消耗/首日创角人数")
    private BigDecimal firstCreateRoleCost;

    @ApiModelProperty(notes = "新用户创角成本=实际消耗/新用户累计创角人数")
    private BigDecimal firstUserCreateRoleCost;

    @ApiModelProperty(notes = "首日创角率=首日创角人数/注册人数")
    private BigDecimal firstCreateRoleRate;

    @ApiModelProperty(notes = "新用户创角率=新用户累计创角人数/注册人数")
    private BigDecimal firstUserCreateRoleRate;

    @ApiModelProperty(notes = "当天激活活跃用户LTV=（新用户累计充值/Σ活跃人数）（累计充值人数/Σ活跃人数）")
    private BigDecimal todayActiveUserLTV;

    @ApiModelProperty(notes = "游戏当日广告变现ROI=当日LTV/所选时间的消耗")
    private BigDecimal todayAdCashROI;

    @ApiModelProperty(notes = "首日新用户充值次数")
    private Long firstUserRechargeCount;

    @ApiModelProperty(notes = "首日新用户充值人数")
    private Long firstUserRechargeUser;

    @ApiModelProperty(notes = "首日新用户充值金额")
    private BigDecimal firstUserRechargeMoney;

    @ApiModelProperty(notes = "老用户充值次数")
    private Long oldUserRechargeCount;

    @ApiModelProperty(notes = "老用户充值人数")
    private Long oldUserRechargeUser;

    @ApiModelProperty(notes = "老用户充值金额")
    private BigDecimal oldUserRechargeMoney;

    @ApiModelProperty(notes = "账面充值次数")
    private Long showRechargeCount;

    @ApiModelProperty(notes = "账面充值人数")
    private Long showRechargeUser;

    @ApiModelProperty(notes = "账面充值金额")
    private BigDecimal showRechargeMoney;

    @ApiModelProperty(notes = "新用户累计充值次数")
    private Long newUserRechargeCount;

    @ApiModelProperty(notes = "新用户累计充值人数")
    private Long newUserRechargeUser;

    @ApiModelProperty(notes = "新用户累计充值金额")
    private BigDecimal newUserRechargeMoney;

    @ApiModelProperty(notes = "首日ROI=首日新用户充值金额/实际消耗")
    private BigDecimal firstRecoveryRate;

    @ApiModelProperty(notes = "买量回收率=新用户累计充值金额/实际消耗")
    private BigDecimal buyRecoveryRate;

    @ApiModelProperty(notes = "毛利率=新用户累计充值金额-实际消耗")
    private BigDecimal grossMargin;

    @ApiModelProperty(notes = "3日ROI=新用户3日累计充值金额/实际消耗")
    private BigDecimal threeDayROI;

    @ApiModelProperty(notes = "5日ROI=新用户5日累计充值金额/实际消耗")
    private BigDecimal fiveDayROI;

    @ApiModelProperty(notes = "7日ROI=新用户7日累计充值金额/实际消耗")
    private BigDecimal sevenDayROI;

    @ApiModelProperty(notes = "15日ROI=新用户15日累计充值金额/实际消耗")
    private BigDecimal fifteenDayROI;

    @ApiModelProperty(notes = "30日ROI=新用户30日累计充值金额/实际消耗")
    private BigDecimal thirtyDayROI;

    @ApiModelProperty(notes = "60日ROI=新用户60日累计充值金额/实际消耗")
    private BigDecimal sixtyDayROI;

    @ApiModelProperty(notes = "180日ROI=新用户180日累计充值金额/实际消耗")
    private BigDecimal oneHundredAndEightyDayROI;

    @ApiModelProperty(notes = "一年ROI=新用户一年累计充值金额/实际消耗")
    private BigDecimal oneYearROI;

    @ApiModelProperty(notes = "首日付费率=首日新用户充值人数/注册人数")
    private BigDecimal firstRechargeRate;

    @ApiModelProperty(notes = "买量用户付费率=新用户累计充值人数/注册人数")
    private BigDecimal buyUserRechargeRate;

    @ApiModelProperty(notes = "新用户付费比=首日新用户充值人数/账面充值人数")
    private BigDecimal newUserRechargeRate;

    @ApiModelProperty(notes = "活跃用户付费率=账面充值人数/活跃人数")
    private BigDecimal activeUserRechargeRate;

    @ApiModelProperty(notes = "首日客单价=首日新用户充值金额/首日新用户充值次数")
    private BigDecimal avgFirstUserRecharge;

    @ApiModelProperty(notes = "买量客单价=新用户累计充值金额/新用户累计充值次数")
    private BigDecimal avgBuyUserRecharge;

    @ApiModelProperty(notes = "账面客单价=账面充值金额/账面充值次数")
    private BigDecimal avgShowUserRecharge;

    @ApiModelProperty(notes = "首日充值成本=实际消耗/首日新用户充值人数")
    private BigDecimal firstRechargeCost;

    @ApiModelProperty(notes = "买量充值成本=实际消耗/新用户累计充值人数")
    private BigDecimal buyUserRechargeCost;

    @ApiModelProperty(notes = "复充率=新用户复充人数/新用户累计充值人数")
    private BigDecimal repeatRechargeRate;

    @ApiModelProperty(notes = "平均活跃付费率=∑每日付费人数/∑活跃人数")
    private BigDecimal avgActiveRechargeRate;

    @ApiModelProperty(notes = "新增注册ARPU=新用户累计充值金额/注册人数")
    private BigDecimal newRegARPU;

    @ApiModelProperty(notes = "活跃ARPPU=首日新用户充值金额/活跃人数")
    private BigDecimal activeARPU;

    @ApiModelProperty(notes = "首日付费ARPU=首日新用户充值金额/首日新用户充值人数")
    private BigDecimal firstRechargeARPU;

    @ApiModelProperty(notes = "买付费ARPU=新用户累计充值金额/新用户累计充值人数")
    private BigDecimal todayRechargeARPU;

    @ApiModelProperty(notes = "账面ARPU=账面充值金额/账面充值人数")
    private BigDecimal showRechargeARPU;

    @ApiModelProperty(notes = "付费趋势：1天")
    private RechargeTrendVO oneDayRechargeTrend;

    @ApiModelProperty(notes = "付费趋势：3天")
    private RechargeTrendVO threeDayRechargeTrend;

    @ApiModelProperty(notes = "付费趋势：7天")
    private RechargeTrendVO sevenDayRechargeTrend;

    @ApiModelProperty(notes = "付费趋势：15天")
    private RechargeTrendVO fifteenDayRechargeTrend;

    @ApiModelProperty(notes = "付费趋势：1个月")
    private RechargeTrendVO oneMonthRechargeTrend;

    @ApiModelProperty(notes = "付费趋势：2个月")
    private RechargeTrendVO twoMonthRechargeTrend;

    @ApiModelProperty(notes = "付费趋势：3个月")
    private RechargeTrendVO threeMonthRechargeTrend;

    @ApiModelProperty(notes = "付费趋势：总")
    private RechargeTrendVO totalRechargeTrend;

    @ApiModelProperty(notes = "LTV数据：1天--（充值金额/活跃人数）（充值人数/活跃人数）")
    private BigDecimal oneDayLTV;

    @ApiModelProperty(notes = "LTV数据：3天")
    private BigDecimal threeDayLTV;

    @ApiModelProperty(notes = "LTV数据：7天")
    private BigDecimal sevenDayLTV;

    @ApiModelProperty(notes = "LTV数据：15天")
    private BigDecimal fifteenDayLTV;

    @ApiModelProperty(notes = "LTV数据：1个月")
    private BigDecimal oneMonthLTV;

    @ApiModelProperty(notes = "LTV数据：2个月")
    private BigDecimal twoMonthLTV;

    @ApiModelProperty(notes = "LTV数据：3个月")
    private BigDecimal threeMonthLTV;

    @ApiModelProperty(notes = "LTV数据：总")
    private BigDecimal totalLTV;

    @ApiModelProperty(notes = "留存率：1天")
    private RetentionTrendVO oneDayRetentionRate;

    @ApiModelProperty(notes = "留存率：3天")
    private RetentionTrendVO threeDayRetentionRate;

    @ApiModelProperty(notes = "留存率：7天")
    private RetentionTrendVO sevenDayRetentionRate;

    @ApiModelProperty(notes = "留存率：15天")
    private RetentionTrendVO fifteenDayRetentionRate;

    @ApiModelProperty(notes = "留存率：1个月")
    private RetentionTrendVO oneMonthRetentionRate;

    @ApiModelProperty(notes = "留存率：2个月")
    private RetentionTrendVO twoMonthRetentionRate;

    @ApiModelProperty(notes = "留存率：3个月")
    private RetentionTrendVO threeMonthRetentionRate;

    @ApiModelProperty(notes = "留存率：总")
    private RetentionTrendVO totalRetentionRate;
    
    @ApiModelProperty(notes = "--非展示字段--：1日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay1;
    
    @ApiModelProperty(notes = "--非展示字段--：2日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay2;
    
    @ApiModelProperty(notes = "--非展示字段--：3日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay3;
    
    @ApiModelProperty(notes = "--非展示字段--：4日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay4;

    @ApiModelProperty(notes = "--非展示字段--：5日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay5;

    @ApiModelProperty(notes = "--非展示字段--：6日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay6;

    @ApiModelProperty(notes = "--非展示字段--：7日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay7;

    @ApiModelProperty(notes = "--非展示字段--：14日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay14;

    @ApiModelProperty(notes = "--非展示字段--：15日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay15;

    @ApiModelProperty(notes = "--非展示字段--：29日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay29;

    @ApiModelProperty(notes = "--非展示字段--：30日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay30;

    @ApiModelProperty(notes = "--非展示字段--：59日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay59;

    @ApiModelProperty(notes = "--非展示字段--：60日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay60;

    @ApiModelProperty(notes = "--非展示字段--：89日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay89;

    @ApiModelProperty(notes = "--非展示字段--：90日新用户当日充值")
    private BigDecimal newUserRechargeMoneyDcDay90;

    @ApiModelProperty(notes = "--非展示字段--：1日新用户当日人数")
    private Long newUserRechargeUserDcDay1;

    @ApiModelProperty(notes = "--非展示字段--：2日新用户当日人数")
    private Long newUserRechargeUserDcDay2;

    @ApiModelProperty(notes = "--非展示字段--：3日新用户当日人数")
    private Long newUserRechargeUserDcDay3;

    @ApiModelProperty(notes = "--非展示字段--：4日新用户当日人数")
    private Long newUserRechargeUserDcDay4;

    @ApiModelProperty(notes = "--非展示字段--：5日新用户当日人数")
    private Long newUserRechargeUserDcDay5;

    @ApiModelProperty(notes = "--非展示字段--：6日新用户当日人数")
    private Long newUserRechargeUserDcDay6;

    @ApiModelProperty(notes = "--非展示字段--：7日新用户当日人数")
    private Long newUserRechargeUserDcDay7;

    @ApiModelProperty(notes = "--非展示字段--：14日新用户当日人数")
    private Long newUserRechargeUserDcDay14;

    @ApiModelProperty(notes = "--非展示字段--：15日新用户当日人数")
    private Long newUserRechargeUserDcDay15;

    @ApiModelProperty(notes = "--非展示字段--：29日新用户当日人数")
    private Long newUserRechargeUserDcDay29;

    @ApiModelProperty(notes = "--非展示字段--：30日新用户当日人数")
    private Long newUserRechargeUserDcDay30;

    @ApiModelProperty(notes = "--非展示字段--：59日新用户当日人数")
    private Long newUserRechargeUserDcDay59;

    @ApiModelProperty(notes = "--非展示字段--：60日新用户当日人数")
    private Long newUserRechargeUserDcDay60;
    
    @ApiModelProperty(notes = "--非展示字段--：89日新用户当日人数")
    private Long newUserRechargeUserDcDay89;
    
    @ApiModelProperty(notes = "--非展示字段--：90日新用户当日人数")
    private Long newUserRechargeUserDcDay90;

    @ApiModelProperty(notes = "--非展示字段--：3日新用户累计充值金额")
    private BigDecimal newUserRechargeMoneyDay3;

    @ApiModelProperty(notes = "--非展示字段--：5日新用户累计充值金额")
    private BigDecimal newUserRechargeMoneyDay5;

    @ApiModelProperty(notes = "--非展示字段--：7日新用户累计充值金额")
    private BigDecimal newUserRechargeMoneyDay7;

    @ApiModelProperty(notes = "--非展示字段--：15日新用户累计充值金额")
    private BigDecimal newUserRechargeMoneyDay15;

    @ApiModelProperty(notes = "--非展示字段--：30日新用户累计充值金额")
    private BigDecimal newUserRechargeMoneyDay30;

    @ApiModelProperty(notes = "--非展示字段--：60日新用户累计充值金额")
    private BigDecimal newUserRechargeMoneyDay60;

    @ApiModelProperty(notes = "--非展示字段--：90日新用户累计充值金额")
    private BigDecimal newUserRechargeMoneyDay90;

    @ApiModelProperty(notes = "--非展示字段--：所有消耗")
    private BigDecimal totalCost;
}
