package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameRankingRechargeGameVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty(notes = "游戏id")
    private String gameId;

    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    @ApiModelProperty(notes = "游戏类型")
    private String gameCategory;

    @ApiModelProperty(notes = "当天充值金额")
    private BigDecimal todayRechargeMoney;

    @ApiModelProperty(notes = "当天买量充值金额")
    private BigDecimal todayPurchaseRechargeMoney;

    @ApiModelProperty(notes = "当天自然量充值金额")
    private BigDecimal todayNatureRechargeMoney;

    /**
     * 默认排名标准
     */
    @ApiModelProperty(notes = "累计充值金额")
    private BigDecimal totalRechargeMoney;

    @ApiModelProperty(notes = "累计买量充值金额")
    private BigDecimal totalPurchaseRechargeMoney;

    @ApiModelProperty(notes = "累计自然量充值金额")
    private BigDecimal totalNatureRechargeMoney;

    /**
     * 累计充值金额/累计充值次数
     */
    @ApiModelProperty(notes = "平均客单价")
    private BigDecimal avgMoney;

    @ApiModelProperty(notes = "注册人数")
    private Long registerUser;

    @ApiModelProperty(notes = "累计充值人数")
    private Long totalRechargeUser;

    @ApiModelProperty(notes = "累计充值次数")
    private Long totalRechargeCount;

    @ApiModelProperty(notes = "累计消耗")
    private BigDecimal totalCost;

    /**
     * 累计买量充值金额/累计消耗
     */
    @ApiModelProperty(notes = "回本率")
    private BigDecimal paybackRate;
}
