package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameRankingRechargeUserVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty(notes = "玩家ID")
    private Long userId;

    @ApiModelProperty(notes = "玩家账号")
    private String userAccount;

    @ApiModelProperty(notes = "注册渠道")
    private String regAgent;

    @ApiModelProperty(notes = "注册时间")
    private LocalDateTime regTime;

    @ApiModelProperty(notes = "注册游戏")
    private String regGameName;

    @ApiModelProperty(notes = "玩家操作系统")
    private String userDevice;

    @ApiModelProperty(notes = "当天充值金额")
    private BigDecimal todayRechargeMoney;

    @ApiModelProperty(notes = "首充金额")
    private BigDecimal firstRechargeMoney;

    @ApiModelProperty(notes = "最近充值金额")
    private BigDecimal recentRechargeMoney;

    /**
     * 默认排名标准
     */
    @ApiModelProperty(notes = "累计充值金额")
    private BigDecimal totalRechargeMoney;

    /**
     * 累计充值金额/累计充值次数
     */
    @ApiModelProperty(notes = "平均单价")
    private BigDecimal avgMoney;

    @ApiModelProperty(notes = "累计充值次数")
    private Long totalRechargeCount;

    @ApiModelProperty(notes = "玩家等级标签")
    private String tag;

    @ApiModelProperty(notes = "最近充值游戏")
    private String recentRechargeGame;

    @ApiModelProperty(notes = "最近充值时间")
    private LocalDateTime recentRechargeTime;
}
