package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OrderDetailVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(notes = "自增id")
    private Long id;

    @ApiModelProperty(notes = "订单创建日期")
    private LocalDate createDay;

    @ApiModelProperty(notes = "商户订单号")
    private String orderId;

    @ApiModelProperty(notes = "cp订单号")
    private String cpOrderId;

    @ApiModelProperty(notes = "第三方支付订单号")
    private String merchantOrderNo;

    @ApiModelProperty(notes = "玩家id")
    private Long userId;

    @ApiModelProperty(notes = "玩家账号")
    private String userName;

    @ApiModelProperty(notes = "注册时间")
    private LocalDateTime userRegTime;

    @ApiModelProperty(notes = "注册渠道id")
    private Long userRegAgentId;

    @ApiModelProperty(notes = "注册渠道名称")
    private String userRegAgentName;

    @ApiModelProperty(notes = "注册游戏id")
    private Long userRegGameId;

    @ApiModelProperty(notes = "注册游戏名称")
    private String userRegGameName;

    @ApiModelProperty(notes = "cpId")
    private Long cpId;

    @ApiModelProperty(notes = "cp名称")
    private String cpName;

    @ApiModelProperty(notes = "注册游戏id")
    private Long regGameId;

    @ApiModelProperty(notes = "注册游戏应用类型id")
    private Long regGameCategoryId;

    @ApiModelProperty(notes = "注册游戏应用类型名称")
    private String regGameCategoryName;

    @ApiModelProperty(notes = "归因投放人员id")
    private String pitcherId;

    @ApiModelProperty(notes = "归因投放人员名字")
    private String pitcherName;

    @ApiModelProperty(notes = "归因推广账号id")
    private Long accountId;

    @ApiModelProperty(notes = "归因推广账号")
    private String accountName;

    @ApiModelProperty(notes = "归因媒体id")
    private Long mediaId;

    @ApiModelProperty(notes = "归因媒体名称")
    private String mediaName;

    @ApiModelProperty(notes = "归因广告id")
    private String adId;

    @ApiModelProperty(notes = "充值渠道id")
    private Long rechargeAgentId;

    @ApiModelProperty(notes = "充值渠道名称")
    private String rechargeAgentName;

    @ApiModelProperty(notes = "充值游戏id")
    private Long rechargeGameId;

    @ApiModelProperty(notes = "充值游戏名称")
    private String rechargeGameName;

    @ApiModelProperty(notes = "充值游戏类型id")
    private Long rechargeGameCategoryId;

    @ApiModelProperty(notes = "充值游戏类型")
    private String rechargeGameCategory;

    @ApiModelProperty(notes = "游戏产品ID")
    private String productId;

    @ApiModelProperty(notes = "产品名称")
    private String productName;

    @ApiModelProperty(notes = "订单金额")
    private BigDecimal amount;

    @ApiModelProperty(notes = "订单实付金额")
    private BigDecimal realAmount;

    @ApiModelProperty(notes = "支付方式id")
    private Long payWayId;

    @ApiModelProperty(notes = "支付方式")
    private String payWay;

    @ApiModelProperty(notes = "支付场景id")
    private Integer payDevice;

    @ApiModelProperty(notes = "支付场景")
    private String payDeviceName;

    @ApiModelProperty(notes = "收款账户号")
    private String merchantNo;

    @ApiModelProperty(notes = "收款账户名称")
    private String merchantName;

    @ApiModelProperty(notes = "服务区服id")
    private String serverId;

    @ApiModelProperty(notes = "服务区服名称")
    private String serverName;

    @ApiModelProperty(notes = "角色id")
    private String roleId;

    @ApiModelProperty(notes = "角色名称")
    private String roleName;

    @ApiModelProperty(notes = "角色等级")
    private Long roleLevel;

    @ApiModelProperty(notes = "角色VIP")
    private Long roleVipLevel;

    @ApiModelProperty(notes = "客户端操作系统, android, ios, windows, mac")
    private String deviceSystem;

    @ApiModelProperty(notes = "是否切量  0 否 1 是")
    private Boolean isSwitch;

    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(notes = "支付时间")
    private LocalDateTime payTime;

    @ApiModelProperty(notes = "订单结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty(notes = "cp最后通知时间")
    private LocalDateTime lastCpNotifyTime;

    @ApiModelProperty(notes = "支付状态，1为待处理，2为成功，3为失败")
    private Integer status;

    @ApiModelProperty(notes = "CP通知状态，1为待处理，2为成功，3为失败")
    private Integer cpStatus;

    @ApiModelProperty(notes = "是否首充 0 否 1 是")
    private Integer isFirstRecharge;

    @ApiModelProperty(notes = "广告上报状态, 0 : 未上报, 1 : 上报成功, 2 : 上报失败")
    private Integer callBackStatus;
}
