package com.zanxiang.game.data.serve.service.impl;

import com.zanxiang.game.data.serve.pojo.entity.AdAccount;
import com.zanxiang.game.data.serve.dao.mapper.AdAccountMapper;
import com.zanxiang.game.data.serve.pojo.vo.GameConditionVO;
import com.zanxiang.game.data.serve.service.IAdAccountService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * t_ad_account 服务实现类
 * </p>
 *
 * @author auto
 * @since 2022-12-08
 */
@Service
public class AdAccountServiceImpl extends ServiceImpl<AdAccountMapper, AdAccount> implements IAdAccountService {

    @Override
    public List<GameConditionVO> getList() {
        return getBaseMapper()
                .selectList(null)
                .stream()
                .map(item -> GameConditionVO
                        .builder()
                        .id(item.getId())
                        .name(item.getAccountName())
                        .build()).collect(Collectors.toList());
    }
}
