package com.zanxiang.game.data.serve.service.impl;

import com.zanxiang.game.data.serve.pojo.entity.Company;
import com.zanxiang.game.data.serve.dao.mapper.CompanyMapper;
import com.zanxiang.game.data.serve.pojo.vo.GameConditionVO;
import com.zanxiang.game.data.serve.service.ICompanyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 公司维度统计数据（按天） 服务实现类
 * </p>
 *
 * @author auto
 * @since 2023-01-04
 */
@Service
public class CompanyServiceImpl extends ServiceImpl<CompanyMapper, Company> implements ICompanyService {

    @Override
    public List<GameConditionVO> getList() {
        return getBaseMapper()
                .selectList(null)
                .stream()
                .map(item -> GameConditionVO
                        .builder()
                        .id(String.valueOf(item.getId()))
                        .build()).collect(Collectors.toList());
    }
}
