package com.zanxiang.game.data.serve.service.impl;

import com.zanxiang.game.data.serve.pojo.entity.GamePlayerRole;
import com.zanxiang.game.data.serve.dao.mapper.GamePlayerRoleMapper;
import com.zanxiang.game.data.serve.pojo.vo.GameConditionVO;
import com.zanxiang.game.data.serve.service.IGamePlayerRoleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * t_game_player_role 服务实现类
 * </p>
 *
 * @author auto
 * @since 2022-12-08
 */
@Service
public class GamePlayerRoleServiceImpl extends ServiceImpl<GamePlayerRoleMapper, GamePlayerRole> implements IGamePlayerRoleService {

    @Override
    public List<GameConditionVO> getList() {
        return getBaseMapper()
                .selectList(null)
                .stream()
                .map(item -> GameConditionVO
                        .builder()
                        .id(String.valueOf(item.getId()))
                        .name(item.getRoleName())
                        .build()).collect(Collectors.toList());
    }
}
