package com.zanxiang.game.data.serve.service.impl;

import com.zanxiang.game.data.serve.pojo.entity.PromoteAgent;
import com.zanxiang.game.data.serve.dao.mapper.PromoteAgentMapper;
import com.zanxiang.game.data.serve.pojo.vo.GameConditionVO;
import com.zanxiang.game.data.serve.service.IPromoteAgentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * t_promote_agent 服务实现类
 * </p>
 *
 * @author auto
 * @since 2022-12-08
 */
@Service
public class PromoteAgentServiceImpl extends ServiceImpl<PromoteAgentMapper, PromoteAgent> implements IPromoteAgentService {

    @Override
    public List<PromoteAgent> getPromoteAgent(Long sysUserId, Long companyId) {
        return getBaseMapper().getPromoteAgent(sysUserId);
    }

    @Override
    public List<GameConditionVO> getList() {
        return getBaseMapper()
                .selectList(null)
                .stream()
                .map(item -> GameConditionVO
                        .builder()
                        .id(String.valueOf(item.getId()))
                        .name(item.getAgentName())
                        .build()).collect(Collectors.toList());
    }
}
