package com.zanxiang.game.module.manage.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2023-06-21
 * @description : 游戏应用信息
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GameAppletConfigDTO {

    /**
     * 类型,1 : 小程序, 2 : 公众号
     */
    @ApiModelProperty(notes = "类型,1 : 小程序, 2 : 公众号 (必填)")
    private Integer type;

    /**
     * 小游戏/公众号应用id
     */
    @ApiModelProperty(notes = "小游戏/公众号应用id (必填)")
    private String appId;

    /**
     * 小游戏/公众号应用原始id
     */
    @ApiModelProperty(notes = "小游戏/公众号应用原始id (必填)")
    private String ghId;

    /**
     * 小游戏/公众号应用名称
     */
    @ApiModelProperty(notes = "小游戏/公众号应用名称 (必填)")
    private String appName;

    /**
     * 小游戏/公众号应用密钥
     */
    @ApiModelProperty(notes = "小游戏/公众号应用密钥 (必填)")
    private String appSecret;

    /**
     * 小游戏分享标题
     */
    @ApiModelProperty(notes = "小游戏分享标题, 游戏类型为小游戏时必填, 游戏为H5时不填")
    private String shareTitle;

    /**
     * 小游戏分享路径
     */
    @ApiModelProperty(notes = "小游戏分享路径, 游戏类型为小游戏时必填, 游戏为H5时不填")
    private String sharePath;

    /**
     * 小游戏分享图片
     */
    @ApiModelProperty(notes = "小游戏分享图片, 游戏类型为小游戏时必填, 游戏为H5时不填")
    private String shareImg;

    /**
     * 公司主体信息
     */
    @ApiModelProperty(notes = "小游戏/公众号应用公司主体信息 (选填)")
    private String company;

    /**
     * 小游戏/公众号应用登录账号
     */
    @ApiModelProperty(notes = "小游戏/公众号应用登录账号 (选填)")
    private String account;

    /**
     * 小游戏/公众号应用管理员
     */
    @ApiModelProperty(notes = "小游戏/公众号应用管理员 (选填)")
    private String manager;
}
