package com.zanxiang.game.module.manage.pojo.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-01
 * @description : 游戏信息
 */
@Data
public class GameDTO {

    /**
     * 游戏ID
     */
    private Long id;

    /**
     * CP ID
     */
    private Long cpId;

    /**
     * 游戏名称
     */
    private String name;

    /**
     * appkey
     */
    private String appKey;

    /**
     * 游戏标签
     */
    private Long tags;

    /**
     * 游戏类型
     */
    private Long category;

    /**
     * 游戏分类id, 多个
     */
    private String classify;

    /**
     * 游戏分类父id, 多个
     */
    private String classifyParent;

    /**
     * 网页游戏图标,200*200
     */
    private String icon;

    /**
     * CP回调路径
     */
    private String cpPaybackUrl;

    /**
     * 从属游戏
     */
    private Long parentId;

    /**
     * 包名
     */
    private String packageName;

    /**
     * 上线状态1 接入中， 2 可上线, 3 已下线
     */
    private Integer status;

    /**
     * 1在线游戏 2 单机
     */
    private Boolean isOnline;

    /**
     * 1 不是SDK游戏  2 是SDK游戏
     */
    private Boolean isSdk;

    /**
     * 游戏宣传语
     */
    private String publicity;

    /**
     * 语言
     */
    private String language;

    /**
     * 游戏描述
     */
    private String description;

    /**
     * 游戏宣传图 JSON格式
     */
    private String image;

    /**
     * 苹果应用ID
     */
    private String appleId;

    /**
     * 是否需要实名认证，1:关闭实名认证，2:强制实名认证  3:开启实名认证
     */
    private Integer needAuth;

    /**
     * 扩展 JSON格式
     */
    private String extInfo;

    /**
     * 上线时间
     */
    private LocalDateTime onlineTime;

    /**
     * 1 删除  0 正常
     */
    private Integer isDelete;

    /**
     * 删除时间
     */
    private LocalDateTime deleteTime;

    /**
     * 分成比例
     */
    private Double shareScale;

    /**
     * 关联H5游戏id
     */
    private Long h5GameId;

    /**
     * 导量游戏id
     */
    private Long guideGameId;

    /**
     * 游戏地址
     */
    private String gameUrl;

    /**
     * 游戏版本
     */
    private String version;

    /**
     * 下载次数
     */
    private Long downloadCount;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
