package com.zanxiang.game.module.manage.pojo.vo;

import com.zanxiang.game.module.manage.pojo.dto.GameAppletConfigDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-07-06
 * @description : 游戏列表展示
 */
@Data
public class GameListVO {

    /**
     * 游戏ID
     */
    @ApiModelProperty(notes = "游戏ID")
    private Long id;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String name;

    /**
     * 游戏类型id
     */
    @ApiModelProperty(notes = "游戏类型id")
    private Long category;

    /**
     * 游戏类型名称
     */
    @ApiModelProperty(notes = "游戏类型名称")
    private String categoryName;

    /**
     * cp的主键id
     */
    @ApiModelProperty(notes = "cp的主键id")
    private Long cpId;

    /**
     * cp名称
     */
    @ApiModelProperty(notes = "cp名称")
    private String cpName;

    /**
     * 分成比例
     */
    @ApiModelProperty(notes = "分成比例")
    private Double shareScale;

    /**
     * 游戏分类
     */
    @ApiModelProperty(notes = "游戏分类Id")
    private List<Long> tagIdList;

    /**
     * 游戏分类名称列表
     */
    @ApiModelProperty(notes = "游戏分类名称列表")
    private List<String> tagNameList;

    /**
     * 是否父游戏
     */
    @ApiModelProperty(notes = "是否主游戏")
    private Boolean isParentGame;

    /**
     * 主游戏id
     */
    @ApiModelProperty(notes = "主游戏id")
    private Long parentId;

    /**
     * 主游戏名字
     */
    @ApiModelProperty(notes = "主游戏名字")
    private String parentName;

    /**
     * 关联h5游戏id
     */
    @ApiModelProperty(notes = "关联h5游戏id")
    private Long h5GameId;

    /**
     * 关联h5游戏名字
     */
    @ApiModelProperty(notes = "关联h5游戏名字")
    private String h5GameName;

    /**
     * 关联导量游戏id
     */
    @ApiModelProperty(notes = "关联导量游戏id")
    private Long guideGameId;

    /**
     * 关联导量游戏名字
     */
    @ApiModelProperty(notes = "关联导量游戏名字")
    private String guideGameName;

    /**
     * 支付方式列表
     */
    @ApiModelProperty(notes = "支付方式列表")
    private List<GamePayWayVO> gamePayWayList;

    /**
     * 游戏备注
     */
    @ApiModelProperty(notes = "游戏描述")
    private String remark;

    /**
     * 上线状态1 接入中， 2 可上线, 3 已下线
     */
    @ApiModelProperty(notes = "上线状态1 接入中， 2 可上线, 3 已下线")
    private Integer status;

    /**
     * 小游戏/公众号应用信息
     */
    @ApiModelProperty(notes = "小游戏/公众号应用信息 (微信小游戏和H5游戏才有值)")
    private GameAppletConfigDTO gameAppletConfigDTO;
}
