package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.dto.AgentDTO;
import com.zanxiang.game.module.manage.pojo.params.AgentAddParam;
import com.zanxiang.game.module.manage.pojo.params.AgentListParam;
import com.zanxiang.game.module.manage.pojo.vo.AgentAccountChoiceVO;
import com.zanxiang.game.module.manage.pojo.vo.AgentChoiceVO;
import com.zanxiang.game.module.manage.pojo.vo.AgentVO;
import com.zanxiang.game.module.mybatis.entity.Agent;

import java.util.List;

/**
 * @author wcc
 */
public interface IAgentService extends IService<Agent> {

    /**
     * 列表页面
     *
     * @param param 参数
     * @return {@link IPage}<{@link AgentVO}>
     */
    IPage<AgentVO> listOfPage(AgentListParam param);

    /**
     * 建渠道
     *
     * @param param 参数
     * @return boolean
     */
    boolean add(AgentAddParam param);

    /**
     * 通过账户和投手id查询渠道id列表
     *
     * @param account   账户
     * @param pitcherId 投手id
     * @param agentId   代理人身份证
     * @return {@link List}<{@link AgentDTO}>
     */
    List<AgentDTO> listUserAgent(String account, String pitcherId, Long agentId);

    /**
     * 配置将状态
     *
     * @param agentIdList 代理id列表
     * @param putStatus   把状态
     * @return boolean
     */
    boolean configPutStatus(List<Long> agentIdList, Integer putStatus);

    /**
     * 配置支持政策
     *
     * @param agentIdList  代理id列表
     * @param backPolicyId 返回政策id
     * @return boolean
     */
    boolean configBackPolicy(List<Long> agentIdList, Long backPolicyId);

    /**
     * 渠道账号选择接口
     *
     * @return {@link List}<{@link AgentAccountChoiceVO}>
     */
    List<AgentAccountChoiceVO> agentAccountChoiceList();

    /**
     * 代理选择列表
     *
     * @return {@link List}<{@link AgentChoiceVO}>
     */
    List<AgentChoiceVO> agentChoiceList();
}
