package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.module.manage.pojo.params.GameUserListParam;
import com.zanxiang.game.module.manage.pojo.vo.GameUserListVO;
import com.zanxiang.game.module.manage.pojo.vo.GameUserVO;

/**
 * @author : lingfeng
 * @time : 2022-07-04
 * @description : 玩家游戏
 */
public interface IGameUserService {

    /**
     * 查询玩家游戏列表
     *
     * @param param : 玩家游戏列表参数
     * @return {@link IPage}<{@link GameUserListVO}>
     */
    IPage<GameUserListVO> gameUserList(GameUserListParam param);

    /**
     * 获取指定用户对应vip等级最高的用户信息
     *
     * @param id : 主键id
     * @return {@link GameUserVO}
     */
    GameUserVO getById(Long id);
}
