package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.dto.PayDeviceDTO;
import com.zanxiang.game.module.manage.pojo.vo.PayDeviceChoiceVO;
import com.zanxiang.game.module.mybatis.entity.PayDevice;

import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2023-02-09
 * @description : 支付方式
 */
public interface IPayDeviceService extends IService<PayDevice> {

    /**
     * 支付方式选择列表
     *
     * @return {@link List}<{@link PayDeviceChoiceVO}>
     */
    List<PayDeviceChoiceVO> payDeviceChoiceList();

    /**
     * 支付方式
     *
     * @return {@link Map}<{@link Long}, {@link PayDeviceDTO}>
     */
    Map<Long, PayDeviceDTO> payDeviceMap();

    /**
     * 支付方式选择列表
     *
     * @return {@link Map}<{@link Long}, {@link PayDeviceChoiceVO}>
     */
    Map<Long, PayDeviceChoiceVO> payDeviceChoiceMap();
}
