package com.zanxiang.game.module.sdk.controller;

import com.zanxiang.game.module.sdk.annotation.UnSignCheck;
import com.zanxiang.game.module.sdk.pojo.param.UserData;
import com.zanxiang.game.module.sdk.pojo.vo.GameAppletVO;
import com.zanxiang.game.module.sdk.service.IGameAppletService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2023-01-03
 * @description : sdk初始化接口
 */
@Api(tags = "sdk初始化接口")
@RestController
@RequestMapping(value = "/api/init")
public class InitController {

    @Autowired
    private IGameAppletService gameAppletService;

    @UnSignCheck
    @ApiOperation(value = "微信小游戏sdk初始化")
    @PostMapping("/applet")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = GameAppletVO.class)})
    public ResultVO<GameAppletVO> gameAppletInit(UserData userData) {
        return ResultVO.ok(gameAppletService.gameAppletInit(userData));
    }
}
