package com.zanxiang.game.module.sdk.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2023-01-15
 * @description : 米大师支付参数
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class MiPayConfigDTO {

    /**
     * 米大师现网环境
     */
    private static final Integer IS_PRODUCT = 0;

    /**
     * 米大师沙箱环境
     */
    public static final Integer IS_SAND = 1;

    /**
     * 微信小程序appId
     */
    private String appId;

    /**
     * 微信小程序密钥
     */
    private String secret;

    /**
     * 米大师支付应用id
     */
    private String offerId;

    /**
     * 米大师现网AppKey
     */
    private String appKey;

    /**
     * 米大师沙箱AppKey
     */
    private String appKeyDev;

    /**
     * 根据环境返回对应的密钥
     *
     * @param isSand : 0 : 现网, 1 : 沙箱
     * @return : 返回aapKey
     */
    public String getAppKeyByIsSand(Integer isSand) {
        if (Objects.equals(isSand, MiPayConfigDTO.IS_SAND)) {
            return this.appKeyDev;
        }
        return this.appKey;
    }
}
