package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.Agent;
import com.zanxiang.game.module.mybatis.entity.User;
import reactor.util.function.Tuple2;

import java.util.Map;

/**
 * @author bilingfeng
 */
public interface IAgentService extends IService<Agent> {

    /**
     * 用户渠道更新
     *
     * @param user    用户
     * @param channel 通道
     */
    void userAgentUpdate(User user, String channel);

    /**
     * 根据前端参数获取渠道信息
     *
     * @param channel     通道
     * @param shareUserId 分享用户id
     * @return {@link Tuple2}<{@link Long}, {@link Map}<{@link String}, {@link String}>>
     */
    Tuple2<Long, Map<String, String>> getUserAgentId(String channel, Long shareUserId);
}
